<?php
/*
Plugin Name: Wordpress Mega Pack for News, Blog and Magazine - All you need
Author: Ad-theme.com
*/

//********************************************************************************//
// CSS
//********************************************************************************//


// Frontend
add_action( 'wp_enqueue_scripts', 'wpmegapack_vc_frontend_styles' );

function wpmegapack_vc_frontend_styles() {
	
	// MAIN
	//wp_register_style( 'wpmegapack_vc-main-style',  	WPMP_URL . 'assets/css/style.css' );
	wp_register_style( 'wpmegapack_vc-columns',  		WPMP_VC_URL . 'assets/css/columns.css' );
	wp_register_style( 'wpmegapack_vc-fonts',  		WPMP_VC_URL . 'assets/css/style-icons.css' );	
	
	// HEADER
	wp_register_style( 'wpmegapack_vc-header1',  		WPMP_VC_URL . 'assets/css/header1.css' );
	wp_register_style( 'wpmegapack_vc-header1_bis',  	WPMP_VC_URL . 'assets/css/header1_bis.css' );
	wp_register_style( 'wpmegapack_vc-header2',  		WPMP_VC_URL . 'assets/css/header2.css' );
	wp_register_style( 'wpmegapack_vc-header2_bis',  	WPMP_VC_URL . 'assets/css/header2_bis.css' );
	wp_register_style( 'wpmegapack_vc-header3',  		WPMP_VC_URL . 'assets/css/header3.css' );
	wp_register_style( 'wpmegapack_vc-header3_bis',  	WPMP_VC_URL . 'assets/css/header3_bis.css' );
	wp_register_style( 'wpmegapack_vc-header4',  		WPMP_VC_URL . 'assets/css/header4.css' );
	wp_register_style( 'wpmegapack_vc-header4_bis',  	WPMP_VC_URL . 'assets/css/header4_bis.css' );
	wp_register_style( 'wpmegapack_vc-header5',  		WPMP_VC_URL . 'assets/css/header5.css' );
	wp_register_style( 'wpmegapack_vc-header5_bis',  	WPMP_VC_URL . 'assets/css/header5_bis.css' );
	
	// POST DISPLAY
	wp_register_style( 'wpmegapack_vc-post-display1',  	WPMP_VC_URL . 'assets/css/post_display1.css' );
	wp_register_style( 'wpmegapack_vc-post-display1_bis',  WPMP_VC_URL . 'assets/css/post_display1_bis.css' );
	wp_register_style( 'wpmegapack_vc-post-display2',  	WPMP_VC_URL . 'assets/css/post_display2.css' );
	wp_register_style( 'wpmegapack_vc-post-display2_bis',  WPMP_VC_URL . 'assets/css/post_display2_bis.css' );
	wp_register_style( 'wpmegapack_vc-post-display3',  	WPMP_VC_URL . 'assets/css/post_display3.css' );
	wp_register_style( 'wpmegapack_vc-post-display3_bis',  WPMP_VC_URL . 'assets/css/post_display3_bis.css' );
	wp_register_style( 'wpmegapack_vc-post-display4',  	WPMP_VC_URL . 'assets/css/post_display4.css' );
	wp_register_style( 'wpmegapack_vc-post-display4_bis',  WPMP_VC_URL . 'assets/css/post_display4_bis.css' );
	wp_register_style( 'wpmegapack_vc-post-display5',  	WPMP_VC_URL . 'assets/css/post_display5.css' );
	wp_register_style( 'wpmegapack_vc-post-display5_bis',  WPMP_VC_URL . 'assets/css/post_display5_bis.css' );					
	wp_register_style( 'wpmegapack_vc-post-display6',  	WPMP_VC_URL . 'assets/css/post_display6.css' );
	wp_register_style( 'wpmegapack_vc-post-display7',  	WPMP_VC_URL . 'assets/css/post_display7.css' );
	wp_register_style( 'wpmegapack_vc-post-display7_bis',  WPMP_VC_URL . 'assets/css/post_display7_bis.css' );
	wp_register_style( 'wpmegapack_vc-post-display8',  	WPMP_VC_URL . 'assets/css/post_display8.css' );
	wp_register_style( 'wpmegapack_vc-post-display8_bis',  WPMP_VC_URL . 'assets/css/post_display8_bis.css' );
	wp_register_style( 'wpmegapack_vc-post-display9',  	WPMP_VC_URL . 'assets/css/post_display9.css' );
	wp_register_style( 'wpmegapack_vc-post-display9_bis',  WPMP_VC_URL . 'assets/css/post_display9_bis.css' );
	wp_register_style( 'wpmegapack_vc-post-display9_ter',  WPMP_VC_URL . 'assets/css/post_display9_ter.css' );
	wp_register_style( 'wpmegapack_vc-post-display10',  	WPMP_VC_URL . 'assets/css/post_display10.css' );
	wp_register_style( 'wpmegapack_vc-post-display10_bis',  WPMP_VC_URL . 'assets/css/post_display10_bis.css' );
	
	// NEWS TICKER
	wp_register_style( 'wpmegapack_vc-news-ticker1',  WPMP_VC_URL . 'assets/css/news_ticker1.css' );		
	wp_register_style( 'wpmegapack_vc-news-ticker1_bis',  WPMP_VC_URL . 'assets/css/news_ticker1.css' );		
		
	// CAROUSEL
	wp_register_style( 'owl-carousel-css',  WPMP_VC_URL . 'assets/css/owl.carousel.css' );	
	
	// WIDGET
	wp_register_style( 'wpmegapack_vc-widget',  WPMP_VC_URL . 'assets/css/widget.css' );	
			
}

//********************************************************************************//
// JS
//********************************************************************************//


// Frontend
add_action('wp_enqueue_scripts', 'wpmegapack_vc_frontend_scripts');

function wpmegapack_vc_frontend_scripts() {
	
	// Load WP jQuery if not included
	wp_enqueue_script('jquery');
	wp_enqueue_script('jquery-masonry');
	wp_enqueue_script('jquery-ui-tabs');
	// Load main js script
	// wp_enqueue_script('wpmegapack_vc-frontend-script', WPMP_VC_URL . 'assets/js/frontend.js', array('jquery'), '', true);
	wp_register_script('wpmp-owl.carousel-js', WPMP_VC_URL . 'assets/js/owl.carousel.js', array('jquery'), '', true);	
		
}