<?php 
// Post Display Type 4
?>

<div class="wpmp_second_box options_box">

<div class="title-box">
	<h2><?php _e('OPTIONS','wpmegapack_vc'); ?></h2>
	<h3><?php _e('Choose element to show','wpmegapack_vc'); ?></h3>
</div>

<div class="wpmp-field">
    <p class="wpmp-title wpmp-inline"><?php _e('Date: ', 'wpmegapack_vc'); ?></p>			
    
    <select id="wpmp_n_type1_date_show">  
               <option value="true"><?php _e('Show', 'wpmegapack_vc'); ?></option>
               <option value="false"><?php _e('Hidden', 'wpmegapack_vc'); ?></option>
    </select> 
</div>

<div class="wpmp-field">
    <p class="wpmp-title wpmp-inline"><?php _e('Format Date: ', 'wpmegapack_vc'); ?></p>			
    
    <select id="wpmp_n_type1_date_format">  
        
               <option value="F j, Y g:i a"><?php _e('November 6, 2010 12:50 am', 'wpmegapack_vc'); ?></option>
               <option value="F j, Y"><?php _e('November 6, 2010', 'wpmegapack_vc'); ?></option>
               <option value="F, Y"><?php _e('November, 2010', 'wpmegapack_vc'); ?></option>
               <option value="g:i a"><?php _e('12:50 am', 'wpmegapack_vc'); ?></option>
               <option value="g:i:s a"><?php _e('12:50:48 am', 'wpmegapack_vc'); ?></option>
               <option value="l, F jS, Y"><?php _e('Saturday, November 6th, 2010', 'wpmegapack_vc'); ?></option>
               <option value="M j, Y @ G:i"><?php _e('Nov 6, 2010 @ 0:50', 'wpmegapack_vc'); ?></option>
               <option value="Y/m/d \a\t g:i A"><?php _e('2010/11/06 at 12:50 AM', 'wpmegapack_vc'); ?></option>           
               <option value="Y/m/d \a\t g:ia"><?php _e('2010/11/06 at 12:50am', 'wpmegapack_vc'); ?></option>
               <option value="Y/m/d g:i:s A"><?php _e('2010/11/06 12:50:48 AM', 'wpmegapack_vc'); ?></option>
               <option value="Y/m/d"><?php _e('2010/11/06', 'wpmegapack_vc'); ?></option>
                             
    </select>
</div>

<div class="wpmp-field">
    <p class="wpmp-title wpmp-inline"><?php _e('Category: ', 'wpmegapack_vc'); ?></p>			
    
    <select id="wpmp_n_type1_category_show">  
        
               <option value="true"><?php _e('Show', 'wpmegapack_vc'); ?></option>
               <option value="false"><?php _e('Hidden', 'wpmegapack_vc'); ?></option>
        
    </select>
</div>


</div> <!-- #options_box -->

<div class="wpmp_third_box style_box">

<!-- CUSTOM STYLE -->

<div class="title-box">
	<h2><?php _e('STYLE','wpmegapack_vc'); ?></h2>
</div>           

<div class="title-box"> 
	<h3><?php _e('Options field for custom style','wpmegapack_vc'); ?></h3>
</div>

<div class="wpmp-field">
    <p class="wpmp-title wpmp-inline"><?php _e('Custom Style: ', 'wpmegapack_vc'); ?></p>
    <select id="wpmp_n_type1_custom_style">  
        
               <option value="off"><?php _e('Off (Default Color)', 'wpmegapack_vc'); ?></option>
               <option value="on"><?php _e('On', 'wpmegapack_vc'); ?></option>
        
    </select> 
</div>

<div class="wpmp_custom_style" style="display:none;">

    <div class="wpmp-field">
        <p class="title"><?php _e('Main Color','wpmegapack_vc'); ?></p>
        <input type="text" value="#eeeeee" class="wp-color-picker-field" data-default-color="#eeeeee" id="wpmp_n_type1_maincolor" /> 
    </div>

    <div class="wpmp-field">
        <p class="title"><?php _e('Secondary Color','wpmegapack_vc'); ?></p>
        <input type="text" value="#eeeeee" class="wp-color-picker-field" data-default-color="#eeeeee" id="wpmp_n_type1_secondcolor" /> 
    </div>

    <div class="wpmp-field">
        <p class="title"><?php _e('Third Color','wpmegapack_vc'); ?></p>
        <input type="text" value="#eeeeee" class="wp-color-picker-field" data-default-color="#eeeeee" id="wpmp_n_type1_thirdcolor" /> 
    </div>

</div>



<div class="wpmp_n_type1-news-ticker-options">

    <div class="title-box">
        <h2><?php _e('TICKER OPTIONS','wpmegapack_vc'); ?></h2>
        <h3><?php _e('Options for news ticker','wpmegapack_vc'); ?></h3>
    </div>
           
    <div class="wpmp-field">
        <p class="wpmp-title wpmp-inline"><?php _e('Autoplay (Default value 2000, put 0 if you want disable autoplay): ', 'wpmegapack_vc'); ?></p>
    
             <input type="text" id="wpmp_n_type1_autoplay" value="">            
    
    </div>
 
    <div class="wpmp-field">
        <p class="wpmp-title wpmp-inline"><?php _e('Speed Text (ex 2000 or Leave empty for default): ', 'wpmegapack_vc'); ?></p>
    
             <input type="text" id="wpmp_n_type1_speed" value="">            
    
    </div> 
           
    
</div>

</div> <!-- #style_box -->