<?php
/*
Plugin Name: Wordpress Mega Pack for News, Blog and Magazine - All you need
Author: Ad-theme.com
*/
class wpmp_vc_post_display_function extends wpmegapack_vc_post_display_class {
public function wpmegapack_vc_post_display_function ( $attr ) {	

		static $instance = 0;
		$instance++;	
				
		extract(
			shortcode_atts(
				array(
					"type"					=> 'type1',
					"name"					=> '',
					
					// QUERY					
					"source" 				=> 'post',
					"posts_source" 			=> 'all_posts',
					"post_type" 			=> '',
					"categories" 			=> '',
					"tags" 					=> '',									
					"categories_post_type" 	=> '',
					"pagination" 			=> 'off',
					"pagination_type" 		=> 'numeric',
					"num_posts_page" 		=> '',
					"num_posts" 			=> '', 	
					"orderby" 				=> 'date',
					"order" 				=> 'DESC',		 			
					
					// OPTIONS		
					"date" 					=> 'true',		
					"date_format" 			=> 'F j, Y g:i a',									
					"comments" 				=> 'true',
					"author" 				=> 'true',
					"view" 					=> 'true',
					"category_show" 		=> 'true',
					"social" 				=> 'true',
					
					// STYLE
					"layout"				=> 'layout1',
					"layout_type4"			=> 'layout1',
					"layout_type9"			=> 'layout1',
					"custom_style" 			=> 'off',
					"maincolor" 			=> '#e74c3c',	
					"secondarycolor" 		=> '#FFFFFF',
					"thirdcolor"			=> '#000000',
					
					// CAROUSEL								
					"lazy_load"	 			=> 'false',   
					"item_show"				=> '1', 
					"item_show_900"			=> '1',
					"item_show_600"			=> '1',
					"autoplay"				=> '2000',
					"navigation"			=> 'true'
					
											
					), 
					$attr)
		);	

		/************************* SCRIPT LOAD **************************/

		wp_enqueue_style( 'wpmegapack_vc-columns' );
		wp_enqueue_style( 'wpmegapack_vc-fonts' );		
		
		if($name == '') { $name = 'Post Display '.$type.''; }
		
		if($type == 'type1') {
			
			if($layout == 'layout1') {
				wp_enqueue_style( 'wpmegapack_vc-post-display1' );
				$header_type = 'wpmp_post_display6';
			} else {
				wp_enqueue_style( 'wpmegapack_vc-post-display1_bis' );
				$header_type = 'wpmp_post_display6_bis';
			}
			
			$num_posts = 6;
			
		}

		if($type == 'type2') {
			
			if($layout == 'layout1') {
				wp_enqueue_style( 'wpmegapack_vc-post-display2' );
				$header_type = 'wpmp_post_display7';
			} else {
				wp_enqueue_style( 'wpmegapack_vc-post-display2_bis' );
				$header_type = 'wpmp_post_display7_bis';
			}
			
		}

		if($type == 'type3') {
			
			if($layout == 'layout1') {
				wp_enqueue_style( 'wpmegapack_vc-post-display3' );
				$header_type = 'wpmp_post_display8';
			} else {
				wp_enqueue_style( 'wpmegapack_vc-post-display3_bis' );
				$header_type = 'wpmp_post_display8_bis';
			}
			
		}

		if($type == 'type4') {
			$layout = $layout_type4;
			if($layout == 'layout1') {
				wp_enqueue_style( 'wpmegapack_vc-post-display4' );
				$header_type = 'wpmp_post_display9';
			} else {
				wp_enqueue_style( 'owl-carousel-css' );
				wp_enqueue_script( 'wpmp-owl.carousel-js' );				
				wp_enqueue_style( 'wpmegapack_vc-post-display4_bis' );
				$header_type = 'wpmp_post_display9_bis owl-carousel';
				$pagination = 'off';
				if($num_posts == '') { $num_posts = '-1'; }
			}
			
		}

		if($type == 'type5') {
			
			if($layout == 'layout1') {
				wp_enqueue_style( 'wpmegapack_vc-post-display5' );
				$header_type = 'wpmp_post_display10';
			} else {
				wp_enqueue_style( 'wpmegapack_vc-post-display5_bis' );
				$header_type = 'wpmp_post_display10_bis';
			}
			
		}

		if($type == 'type6') {
			
				wp_enqueue_style( 'wpmegapack_vc-post-display6' );
				$header_type = 'wpmp_post_display11';

			
		}

		if($type == 'type7') {
			
			if($layout == 'layout1') {
				wp_enqueue_style( 'wpmegapack_vc-post-display7' );
				$header_type = 'wpmp_post_display12';
			} else {
				wp_enqueue_style( 'wpmegapack_vc-post-display7_bis' );
				$header_type = 'wpmp_post_display12_bis';
			}
			
		}

		if($type == 'type8') {
			
			if($layout == 'layout1') {
				wp_enqueue_style( 'wpmegapack_vc-post-display8' );
				$header_type = 'wpmp_post_display13';
			} else {
				wp_enqueue_style( 'wpmegapack_vc-post-display8_bis' );
				$header_type = 'wpmp_post_display13_bis';
			}
			
		}

		if($type == 'type9') {
			$layout = $layout_type9;
			if($layout == 'layout1') {
				wp_enqueue_style( 'wpmegapack_vc-post-display9' );
				$header_type = 'wpmp_post_display14';
			} elseif($layout == 'layout2') {
				wp_enqueue_style( 'wpmegapack_vc-post-display9_bis' );
				$header_type = 'wpmp_post_display14_bis';
			} else {
				wp_enqueue_style( 'wpmegapack_vc-post-display9_ter' );
				$header_type = 'wpmp_post_display14_ter';		
			}
			
		}

		if($type == 'type10') {
			
			if($layout == 'layout1') {
				wp_enqueue_style( 'wpmegapack_vc-post-display10' );
				$header_type = 'wpmp_post_display15';
			} else {
				wp_enqueue_style( 'wpmegapack_vc-post-display10_bis' );
				$header_type = 'wpmp_post_display15_bis';
			}
			
		}

		/********************* QUERY **********************************/
		
		$query = wpmegapack_vc_query($source,
								  $posts_source, 
								  $post_type, 
								  $categories,
								  $categories_post_type, 
								  $order, 
								  $orderby, 
								  $pagination, 
								  $pagination_type,
								  $num_posts, 
								  $num_posts_page);
		
		$return = '';
		
		if($custom_style == 'on') {	
			$return .= wpmp_vc_post_display_custom_style($instance,$type,$layout,$maincolor,$secondarycolor,$thirdcolor);
		}		

		if($type == 'type4' && $layout == 'layout2') {
			$return .= wpmp_vc_post_display_custom_js($instance,$lazy_load,$item_show,$item_show_900,$item_show_600,$autoplay,$navigation);	
		}
		
		$return .= '<div class="wpmp-clear"></div>';
		
		$return .= '<div class="wpmegapack_vc title-box title-box-'.$instance.'"><div class="name-box">'.$name.'</div></div>';
		
		$return .= '<div class="wpmegapack_vc '.$header_type.' wpmepack-post-display-'.$instance.'">';
	
		$count = 0;
		$loop = new WP_Query($query);
		if($loop) { 
		while ( $loop->have_posts() ) : $loop->the_post();
		$id_post = get_the_id();
		$link = get_permalink(); 		

			
		/**********************************************************************/
		/******************************** TYPE 1 ******************************/
		/**********************************************************************/		
		if($type == 'type1') {
			
				if($layout == 'layout1') {
				
				/**********************************************************************/
				/****************************** LAYOUT 1 ******************************/
				/**********************************************************************/		
		
					if($count == '0') {
						
						$return .= '<style>.wpmegapack_vc.wpmp_post_display6.wpmepack-post-display-'.$instance.' .wpmegapack_vc-item-'.$count.' { background-image:url('.wpmegapack_vc_thumbs_url($id_post).'); }</style>';		
						
						$return .= '<div class="ad_two_third"><div class="wpmegapack_vc-item wpmegapack_vc-item-'.$count.' ad_one_one ad_last big-post first">';
						if($category_show == 'true') { $return .= '<div class="category">'.wpmegapack_vc_category($source,$post_type).'</div>'; }					
						$return .= '</div>';
						$return .= '<div class="title-info-post ad_one_one"><h2 class="title-post"><a href="'.$link.'">'.get_the_title().'</a></h2>';
						$return .= '<p class="text-post">'.wpmegapack_vc_excerpt(100,'...').'</p>';
						
						if( $comments == 'true' || $author == 'true' || $date == 'true' || $social == 'true' ) { $return .= '<div class="info-post">'; }
							
							if($date == 'true') { $return .= '<span class="data"><i class="icon-calendar"></i>'.get_the_date($date_format).'</span>';
								if($author == 'true' || $comments == 'true') {	$return .= '<div class="separator">-</div>'; }
							}				
							if($author == 'true') { $return .= '<a href="'.get_author_posts_url( get_the_author_meta( 'ID' ) ).'"><i class="icon-user"></i>'.get_the_author_meta( 'display_name' ).'</a>';
									if($comments == 'true') { $return .= '<div class="separator">-</div>'; }
							}					
							if($comments == 'true') { $return .= '<a href="'.get_comments_link().'" class="comments"><i class="icon-bubbles4"></i>'.get_comments_number().'</a>'; }
						
							if($social == 'true') { $return .= wpmegapack_vc_share(); }
						
						if( $comments == 'true' || $author == 'true' || $date == 'true' || $social == 'true' ) { $return .= '</div>'; /* #INFO-POST */ }	
						
						$return .= '</div>'; // #title-info-post
						
						$return .= '</div>'; // #ad_two_third
						
						
					} else { // #COUNT 0
					
						$return .= '<style>.wpmegapack_vc.wpmp_post_display6.wpmepack-post-display-'.$instance.' .wpmegapack_vc-item-'.$count.' .img-post { background-image:url('.wpmegapack_vc_thumbs_url($id_post).'); }</style>';		
			
						$return .= '<div class="wpmegapack_vc-item-'.$count.' mini-post small-post ad_one_third">';
							$return .= '<div class="img-post ad_one_half"></div><div class="content-post ad_one_half">
										<h2 class="title-post"><a href="'.$link.'">'.get_the_title().'</a></h2>';
							if($date == 'true') { $return .= '<div class="info-post"><span class="data"><i class="icon-calendar"></i>'.get_the_date($date_format).'</span></div>'; }
						$return .= '</div></div>';
			
					}
		
		
				} else {
					
				/**********************************************************************/
				/****************************** LAYOUT 2 ******************************/
				/**********************************************************************/					

					if($count == '0') {
						
						$return .= '<style>.wpmegapack_vc.wpmp_post_display6_bis.wpmepack-post-display-'.$instance.' .wpmegapack_vc-item-'.$count.' { background-image:url('.wpmegapack_vc_thumbs_url($id_post).'); }</style>';		
						    
						$return .= '<div class="ad_two_third">';
						$return .= '<div class="title-info-post ad_one_one">';
						
						if( $comments == 'true' || $author == 'true' || $date == 'true' || $social == 'true' ) { $return .= '<div class="info-post">'; }
							
							if($category_show == 'true') { $return .= '<div class="category">'.wpmegapack_vc_category($source,$post_type).'</div>'; }							
							
							if($date == 'true') { $return .= '<span class="data"><i class="icon-calendar"></i>'.get_the_date($date_format).'</span>';
								if($author == 'true' || $comments == 'true') {	$return .= '<div class="separator">-</div>'; }
							}				
							if($author == 'true') { $return .= '<a href="'.get_author_posts_url( get_the_author_meta( 'ID' ) ).'"><i class="icon-user"></i>'.get_the_author_meta( 'display_name' ).'</a>';
									if($comments == 'true') { $return .= '<div class="separator">-</div>'; }
							}					
							if($comments == 'true') { $return .= '<a href="'.get_comments_link().'" class="comments"><i class="icon-bubbles4"></i>'.get_comments_number().'</a>'; }
						
							if($social == 'true') { $return .= wpmegapack_vc_share(); }
						
						if( $comments == 'true' || $author == 'true' || $date == 'true' || $social == 'true' ) { $return .= '</div>'; /* #INFO-POST */ }	
						$return .= '<h2 class="title-post"><a href="'.$link.'">'.get_the_title().'</a></h2>';
						$return .= '<div class="wpmegapack_vc-item wpmegapack_vc-item-'.$count.' ad_one_one ad_last big-post first"></div>';
						$return .= '<div class="box-text-post ad_one_one"><p class="text-post">'.wpmegapack_vc_excerpt(100,'...').'</p></div>';						
						
						$return .= '</div>'; // #title-info-post
						
						$return .= '</div>'; // #ad_two_third
						
						
					} else { // #COUNT 0
					
						$return .= '<style>.wpmegapack_vc.wpmp_post_display6_bis.wpmepack-post-display-'.$instance.' .wpmegapack_vc-item-'.$count.' .img-post { background-image:url('.wpmegapack_vc_thumbs_url($id_post).'); }</style>';		
			
						$return .= '<div class="wpmegapack_vc-item-'.$count.' mini-post small-post ad_one_third">';
							$return .= '<div class="img-post ad_one_half"></div><div class="content-post ad_one_half">
										<h2 class="title-post"><a href="'.$link.'">'.get_the_title().'</a></h2>';
							if($date == 'true') { $return .= '<div class="info-post"><span class="data"><i class="icon-calendar"></i>'.get_the_date($date_format).'</span></div>'; }
						$return .= '</div></div>';
			
					}
					
					
					
				} // #LAYOUT2
	
		} // #TYPE1
		
		/**********************************************************************/
		/******************************** TYPE 2 ******************************/
		/**********************************************************************/		
		if($type == 'type2') {
			
				if($layout == 'layout1') {
				
				/**********************************************************************/
				/****************************** LAYOUT 1 ******************************/
				/**********************************************************************/	
						
				$return .= '<div class="ad_one_third">';
				$return .= '<style>.wpmegapack_vc.wpmp_post_display7.wpmepack-post-display-'.$instance.' .wpmegapack_vc-item-'.$count.' { background-image:url('.wpmegapack_vc_thumbs_url($id_post).'); }</style>';
				$return .= '<div class="wpmegapack_vc-item wpmegapack_vc-item-'.$count.' ad_one_one ad_last big-post first item">';
				if($category_show == 'true') { $return .= '<div class="category">'.wpmegapack_vc_category($source,$post_type).'</div>'; }
				$return .= '</div><div class="box-text">
								<h2 class="title-post"><a href="'.$link.'">'.get_the_title().'</a></h2>';
				if($date == 'true') { $return .= '<span class="data"><i class="icon-calendar"></i>'.get_the_date($date_format).'</span>'; }
				$return .= '</div>
				</div>';
				
				} else {
					
				/**********************************************************************/
				/****************************** LAYOUT 2 ******************************/
				/**********************************************************************/

				$return .= '<div class="ad_one_third">';
				$return .= '<style>.wpmegapack_vc.wpmp_post_display7_bis.wpmepack-post-display-'.$instance.' .wpmegapack_vc-item-'.$count.' { background-image:url('.wpmegapack_vc_thumbs_url($id_post).'); }</style>';
				if($category_show == 'true') { $return .= '<div class="category">'.wpmegapack_vc_category($source,$post_type).'</div>'; }
				if($date == 'true') { $return .= '<span class="data"><i class="icon-calendar"></i>'.get_the_date($date_format).'</span>'; }
				$return .= '<div class="box-text"><h3 class="title-post"><a href="'.$link.'">'.get_the_title().'</a></h3></div>';
				$return .= '<div class="wpmegapack_vc-item wpmegapack_vc-item-'.$count.' ad_one_one ad_last big-post item"></div></div>';				
								
					
				} // #LAYOUT 2
		
		} // #TYPE2

		/**********************************************************************/
		/******************************** TYPE 3 ******************************/
		/**********************************************************************/		
		if($type == 'type3') {
			
				if($layout == 'layout1') {
				
				/**********************************************************************/
				/****************************** LAYOUT 1 ******************************/
				/**********************************************************************/
				
				$return .= '<style>.wpmegapack_vc.wpmp_post_display8.wpmepack-post-display-'.$instance.' .wpmegapack_vc-item-'.$count.' { background-image:url('.wpmegapack_vc_thumbs_url($id_post).'); }</style>';				
				$return .= '<div class="ad_one_one">
								<div class="wpmegapack_vc-item wpmegapack_vc-item-'.$count.' ad_one_third first item">';
									if($category_show == 'true') { $return .= '<div class="category">'.wpmegapack_vc_category($source,$post_type).'</div>'; }
					$return .= '</div>';
					
					$return .= '<div class="box-text ad_two_third">
									<h2 class="title-post"><a href="'.$link.'">'.get_the_title().'</a></h2>
									<p class="text-post">'.wpmegapack_vc_excerpt(200,'...').'</p>';
									if( $comments == 'true' || $author == 'true' || $date == 'true' || $social == 'true' ) { $return .= '<div class="info-post">'; }
										
										if($date == 'true') { $return .= '<span class="data"><i class="icon-calendar"></i>'.get_the_date($date_format).'</span>';
											if($author == 'true' || $comments == 'true') {	$return .= '<div class="separator">-</div>'; }
										}				
										if($author == 'true') { $return .= '<a href="'.get_author_posts_url( get_the_author_meta( 'ID' ) ).'"><i class="icon-user"></i>'.get_the_author_meta( 'display_name' ).'</a>';
												if($comments == 'true') { $return .= '<div class="separator">-</div>'; }
										}					
										if($comments == 'true') { $return .= '<a href="'.get_comments_link().'" class="comments"><i class="icon-bubbles4"></i>'.get_comments_number().'</a>'; }
									
										if($social == 'true') { $return .= wpmegapack_vc_share(); }
									
									if( $comments == 'true' || $author == 'true' || $date == 'true' || $social == 'true' ) { $return .= '</div>'; /* #INFO-POST */ }	
					$return .= '</div>';					
				
				$return .= '</div>';
				
				} else {
					
				/**********************************************************************/
				/****************************** LAYOUT 2 ******************************/
				/**********************************************************************/					
					
				$return .= '<style>.wpmegapack_vc.wpmp_post_display8_bis.wpmepack-post-display-'.$instance.' .wpmegapack_vc-item-'.$count.' { background-image:url('.wpmegapack_vc_thumbs_url($id_post).'); }</style>';				
				$return .= '<div class="ad_one_one">';					
					$return .= '<div class="box-text ad_two_third">
									<h2 class="title-post"><a href="'.$link.'">'.get_the_title().'</a></h2>
									<p class="text-post">'.wpmegapack_vc_excerpt(200,'...').'</p>';
									if( $comments == 'true' || $author == 'true' || $date == 'true' || $social == 'true' ) { $return .= '<div class="info-post">'; }
										
										if($date == 'true') { $return .= '<span class="data"><i class="icon-calendar"></i>'.get_the_date($date_format).'</span>';
											if($author == 'true' || $comments == 'true') {	$return .= '<div class="separator">-</div>'; }
										}				
										if($author == 'true') { $return .= '<a href="'.get_author_posts_url( get_the_author_meta( 'ID' ) ).'"><i class="icon-user"></i>'.get_the_author_meta( 'display_name' ).'</a>';
												if($comments == 'true') { $return .= '<div class="separator">-</div>'; }
										}					
										if($comments == 'true') { $return .= '<a href="'.get_comments_link().'" class="comments"><i class="icon-bubbles4"></i>'.get_comments_number().'</a>'; }
									
										if($social == 'true') { $return .= wpmegapack_vc_share_left(); }
									
									if( $comments == 'true' || $author == 'true' || $date == 'true' || $social == 'true' ) { $return .= '</div>'; /* #INFO-POST */ }	
					$return .= '</div>';	
									
					$return .= '<div class="wpmegapack_vc-item wpmegapack_vc-item-'.$count.' ad_one_third first item">';
									if($category_show == 'true') { $return .= '<div class="category">'.wpmegapack_vc_category($source,$post_type).'</div>'; }
					$return .= '</div>';				
				
				$return .= '</div>';					
					
					
					
				} // #LAYOUT 2
				
				
		} // #TYPE3

		/**********************************************************************/
		/******************************** TYPE 4 ******************************/
		/**********************************************************************/		
		if($type == 'type4') {
			
				if($layout == 'layout1') {
					
				/**********************************************************************/
				/****************************** LAYOUT 1 ******************************/
				/**********************************************************************/	
								
				
				$return .= '<div class="ad_one_third">';
				$return .= '<style>.wpmegapack_vc.wpmp_post_display9.wpmepack-post-display-'.$instance.' .wpmegapack_vc-item-'.$count.' { background-image:url('.wpmegapack_vc_thumbs_url($id_post).'); }</style>';		
				$return .= '<div class="wpmegapack_vc-item wpmegapack_vc-item-'.$count.' ad_one_one ad_last big-post first item">';
							if($category_show == 'true') { $return .= '<div class="category">'.wpmegapack_vc_category($source,$post_type).'</div>'; }

							$return .= '<div class="box-text">      
										<h3 class="title-post"><a href="'.$link.'">'.get_the_title().'</a></h3>';
										if($date == 'true') { $return .= '<span class="data"><i class="icon-calendar"></i>'.get_the_date($date_format).'</span>'; }
							$return .= '<p class="text-post">'.wpmegapack_vc_excerpt(50,'...').'</p>
									</div>
								</div>
							</div>';				
				
				
				} else {

				/**********************************************************************/
				/****************************** LAYOUT 2 ******************************/
				/**********************************************************************/					

				$return .= '<div class="wpmegapack_vc-element-carousel">';
				$return .= '<style>.wpmegapack_vc.wpmp_post_display9_bis.wpmepack-post-display-'.$instance.' .wpmegapack_vc-item-'.$count.' { background-image:url('.wpmegapack_vc_thumbs_url($id_post).'); }</style>';		
				$return .= '<div class="wpmegapack_vc-item wpmegapack_vc-item-'.$count.' ad_one_one ad_last big-post first item">';
							if($category_show == 'true') { $return .= '<div class="category">'.wpmegapack_vc_category($source,$post_type).'</div>'; }

							$return .= '<div class="box-text">      
										<h3 class="title-post"><a href="'.$link.'">'.get_the_title().'</a></h3>';
										if($date == 'true') { $return .= '<span class="data"><i class="icon-calendar"></i>'.get_the_date($date_format).'</span>'; }
							$return .= '<p class="text-post">'.wpmegapack_vc_excerpt(50,'...').'</p>
									</div>
								</div>
							</div>';

					
				}
				
		}

		/**********************************************************************/
		/******************************** TYPE 5 ******************************/
		/**********************************************************************/		
		if($type == 'type5') {
			
				if($layout == 'layout1') {
					
				/**********************************************************************/
				/****************************** LAYOUT 1 ******************************/
				/**********************************************************************/	
								
				$return .= '<style>.wpmegapack_vc.wpmp_post_display10.wpmepack-post-display-'.$instance.' .wpmegapack_vc-item-'.$count.' { background-image:url('.wpmegapack_vc_thumbs_url($id_post).'); }</style>';		
					
				$return .= '<div class="ad_one_one">
								<div class="wpmegapack_vc-item wpmegapack_vc-item-'.$count.' ad_one_one ad_last big-post first">';	
							    if($category_show == 'true') { $return .= '<div class="category">'.wpmegapack_vc_category($source,$post_type).'</div>'; }
					$return .= '</div>';
					$return .= '<div class="title-info-post ad_one_one">
									<h2 class="title-post"><a href="'.$link.'">'.get_the_title().'</a></h2>
									<p class="text-post">'.wpmegapack_vc_excerpt(300,'...').'</p>
								</div>	
                			</div> ';
					if( $comments == 'true' || $author == 'true' || $date == 'true' || $social == 'true' ) { $return .= '<div class="info-post">'; }
										
						if($date == 'true') { $return .= '<span class="data"><i class="icon-calendar"></i>'.get_the_date($date_format).'</span>';
								if($author == 'true' || $comments == 'true') {	$return .= '<div class="separator">-</div>'; }
						}				
						if($author == 'true') { $return .= '<a href="'.get_author_posts_url( get_the_author_meta( 'ID' ) ).'"><i class="icon-user"></i>'.get_the_author_meta( 'display_name' ).'</a>';
								if($comments == 'true') { $return .= '<div class="separator">-</div>'; }
						}					
						if($comments == 'true') { $return .= '<a href="'.get_comments_link().'" class="comments"><i class="icon-bubbles4"></i>'.get_comments_number().'</a>'; }
									
						if($social == 'true') { $return .= wpmegapack_vc_share(); }
									
					if( $comments == 'true' || $author == 'true' || $date == 'true' || $social == 'true' ) { $return .= '</div>'; /* #INFO-POST */ }						
							
				} else {

				/**********************************************************************/
				/****************************** LAYOUT 2 ******************************/
				/**********************************************************************/					
					
				$return .= '<style>.wpmegapack_vc.wpmp_post_display10_bis.wpmepack-post-display-'.$instance.' .wpmegapack_vc-item-'.$count.' { background-image:url('.wpmegapack_vc_thumbs_url($id_post).'); }</style>';		
					
				$return .= '<div class="ad_one_one">';		
							
					if( $comments == 'true' || $author == 'true' || $date == 'true' || $social == 'true' ) { $return .= '<div class="info-post">'; }
						
						if($category_show == 'true') { $return .= '<div class="category">'.wpmegapack_vc_category($source,$post_type).'</div>'; }

						if($date == 'true') { $return .= '<span class="data"><i class="icon-calendar"></i>'.get_the_date($date_format).'</span>';
								if($author == 'true' || $comments == 'true') {	$return .= '<div class="separator">-</div>'; }
						}				
						if($author == 'true') { $return .= '<a href="'.get_author_posts_url( get_the_author_meta( 'ID' ) ).'"><i class="icon-user"></i>'.get_the_author_meta( 'display_name' ).'</a>';
								if($comments == 'true') { $return .= '<div class="separator">-</div>'; }
						}					
						if($comments == 'true') { $return .= '<a href="'.get_comments_link().'" class="comments"><i class="icon-bubbles4"></i>'.get_comments_number().'</a>'; }
									
						if($social == 'true') { $return .= wpmegapack_vc_share(); }
									
					if( $comments == 'true' || $author == 'true' || $date == 'true' || $social == 'true' ) { $return .= '</div>'; /* #INFO-POST */ }						
					
					$return .= '<h2 class="title-info-post"><a href="'.$link.'">'.get_the_title().'</a></h2>
								<div class="wpmegapack_vc-item wpmegapack_vc-item-'.$count.' ad_one_one ad_last big-post first"></div>';							
					$return .= '<div class="title-info-post ad_one_one">									
									<p class="text-post">'.wpmegapack_vc_excerpt(300,'...').'</p>
								</div>	
                			</div> ';
										
				}
				
		}

		/**********************************************************************/
		/******************************** TYPE 6 ******************************/
		/**********************************************************************/		
		if($type == 'type6') {
			
				$return .= '<div class="ad_one_third">';
				$return .= '<style>.wpmegapack_vc.wpmp_post_display11.wpmepack-post-display-'.$instance.' .wpmegapack_vc-item-'.$count.' { background-image:url('.wpmegapack_vc_thumbs_url($id_post).'); }</style>';		
				$return .= '<div class="wpmegapack_vc-item wpmegapack_vc-item-'.$count.' ad_one_one ad_last big-post first item">';
							if($category_show == 'true') { $return .= '<div class="category">'.wpmegapack_vc_category($source,$post_type).'</div>'; }

							$return .= '<div class="box-text">      
										<h3 class="title-post"><a href="'.$link.'">'.get_the_title().'</a></h3>';
										if($date == 'true') { $return .= '<span class="data"><i class="icon-calendar"></i>'.get_the_date($date_format).'</span>'; }
							$return .= '</div>
								</div>
							</div>';
				
		}


		/**********************************************************************/
		/******************************** TYPE 7 ******************************/
		/**********************************************************************/		
		if($type == 'type7') {
			
				if($layout == 'layout1') {
					
				/**********************************************************************/
				/****************************** LAYOUT 1 ******************************/
				/**********************************************************************/					
				
				 if($count == '0') {
					 
					$return .= '<style>.wpmegapack_vc.wpmp_post_display12.wpmepack-post-display-'.$instance.' .wpmegapack_vc-item-'.$count.' { background-image:url('.wpmegapack_vc_thumbs_url($id_post).'); }</style>';		
					
					$return .= '<div class="ad_one_one active">
									<div class="wpmegapack_vc-item wpmegapack_vc-item-'.$count.' ad_one_one ad_last big-post first">';	
							if($category_show == 'true') { $return .= '<div class="category">'.wpmegapack_vc_category($source,$post_type).'</div>'; }
						$return .= '</div>';
						$return .= '<div class="title-info-post ad_one_one">
									<h2 class="title-post"><a href="'.$link.'">'.get_the_title().'</a></h2>
									<p class="text-post">'.wpmegapack_vc_excerpt(300,'...').'</p>';
						
									if( $comments == 'true' || $author == 'true' || $date == 'true' || $social == 'true' ) { $return .= '<div class="info-post">'; }
				
										if($date == 'true') { $return .= '<span class="data"><i class="icon-calendar"></i>'.get_the_date($date_format).'</span>';
												if($author == 'true' || $comments == 'true') {	$return .= '<div class="separator">-</div>'; }
										}				
										if($author == 'true') { $return .= '<a href="'.get_author_posts_url( get_the_author_meta( 'ID' ) ).'"><i class="icon-user"></i>'.get_the_author_meta( 'display_name' ).'</a>';
												if($comments == 'true') { $return .= '<div class="separator">-</div>'; }
										}					
										if($comments == 'true') { $return .= '<a href="'.get_comments_link().'" class="comments"><i class="icon-bubbles4"></i>'.get_comments_number().'</a>'; }
													
										if($social == 'true') { $return .= wpmegapack_vc_share(); }
													
									if( $comments == 'true' || $author == 'true' || $date == 'true' || $social == 'true' ) { $return .= '</div>'; /* #INFO-POST */ }						
						
						
						$return .= '</div></div>';
				
				
				 } else {
					 
						$return .= '<style>.wpmegapack_vc.wpmp_post_display12.wpmepack-post-display-'.$instance.' .wpmegapack_vc-item-'.$count.' .img-post { background-image:url('.wpmegapack_vc_thumbs_url($id_post).'); }</style>';		
					 
					 	$return .= '<div class="wpmegapack_vc-item-'.$count.' mini-post small-post ad_one_one">
                						<div class="img-post ad_one_half"></div>
									<div class="content-post ad_one_half">
										<h2 class="title-post">
											<a href="'.$link.'">'.get_the_title().'</a>
										</h2>
										<div class="info-post">';
											if($date == 'true') { $return .= '<span class="data"><i class="icon-calendar"></i>'.get_the_date($date_format).'</span>'; }
						$return .= '</div>
									</div>
								</div>';					 
					 
				 }	
					
				} else {

				/**********************************************************************/
				/****************************** LAYOUT 2 ******************************/
				/**********************************************************************/					
					
				 if($count == '0') {	
					
					$return .= '<style>.wpmegapack_vc.wpmp_post_display12_bis.wpmepack-post-display-'.$instance.' .wpmegapack_vc-item-'.$count.' { background-image:url('.wpmegapack_vc_thumbs_url($id_post).'); }</style>';		
					
					$return .= '<div class="ad_one_one">';
						$return .= '<div class="title-info-post ad_one_one">';
						
						if( $comments == 'true' || $author == 'true' || $date == 'true' || $social == 'true' ) { $return .= '<div class="info-post">'; }
							
							if($category_show == 'true') { $return .= '<div class="category">'.wpmegapack_vc_category($source,$post_type).'</div>'; }
	
							if($date == 'true') { $return .= '<span class="data"><i class="icon-calendar"></i>'.get_the_date($date_format).'</span>';
									if($author == 'true' || $comments == 'true') {	$return .= '<div class="separator">-</div>'; }
							}				
							if($author == 'true') { $return .= '<a href="'.get_author_posts_url( get_the_author_meta( 'ID' ) ).'"><i class="icon-user"></i>'.get_the_author_meta( 'display_name' ).'</a>';
									if($comments == 'true') { $return .= '<div class="separator">-</div>'; }
							}					
							if($comments == 'true') { $return .= '<a href="'.get_comments_link().'" class="comments"><i class="icon-bubbles4"></i>'.get_comments_number().'</a>'; }
										
							if($social == 'true') { $return .= wpmegapack_vc_share(); }
										
						if( $comments == 'true' || $author == 'true' || $date == 'true' || $social == 'true' ) { $return .= '</div>'; /* #INFO-POST */ }						
					
						$return .= '<h2 class="title-post"><a href="'.$link.'">'.get_the_title().'</a></h2>
						<p class="text-post">'.wpmegapack_vc_excerpt(300,'...').'</p>
						</div>';				
					$return .= '<div class="wpmegapack_vc-item wpmegapack_vc-item-'.$count.' ad_one_one ad_last big-post first"></div>
					</div>';					
					
				 } else {
					 
						$return .= '<style>.wpmegapack_vc.wpmp_post_display12_bis.wpmepack-post-display-'.$instance.' .wpmegapack_vc-item-'.$count.' .img-post { background-image:url('.wpmegapack_vc_thumbs_url($id_post).'); }</style>';		
					 
					 	$return .= '<div class="wpmegapack_vc-item-'.$count.' mini-post small-post ad_one_one">
                						<div class="img-post ad_one_half"></div>
									<div class="content-post ad_one_half">
										<h2 class="title-post">
											<a href="'.$link.'">'.get_the_title().'</a>
										</h2>
										<div class="info-post">';
											if($date == 'true') { $return .= '<span class="data"><i class="icon-calendar"></i>'.get_the_date($date_format).'</span>'; }
						$return .= '</div>
									</div>
								</div>';					 
					 
					 
				 }
					
				}
				
		}

		/**********************************************************************/
		/******************************** TYPE 8 ******************************/
		/**********************************************************************/		
		if($type == 'type8') {
			
				if($layout == 'layout1') {
					
				/**********************************************************************/
				/****************************** LAYOUT 1 ******************************/
				/**********************************************************************/
									
				
				$return .= '<div class="ad_one_half">';				
				$return .= '<style>.wpmegapack_vc.wpmp_post_display13.wpmepack-post-display-'.$instance.' .wpmegapack_vc-item-'.$count.' { background-image:url('.wpmegapack_vc_thumbs_url($id_post).'); }</style>';	
					$return .= '<div class="ad_one_one">';
						$return .= '<div class="wpmegapack_vc-item wpmegapack_vc-item-'.$count.' ad_one_one ad_last big-post first">';	
							if($category_show == 'true') { $return .= '<div class="category">'.wpmegapack_vc_category($source,$post_type).'</div>'; }
						$return .= '</div>';				
					$return .= '<div class="title-info-post ad_one_one">';
						$return .= '<h2 class="title-post">
										<a href="'.$link.'">'.get_the_title().'</a>
									</h2>
									<p class="text-post">'.wpmegapack_vc_excerpt(300,'...').'</p>';				
					
									if( $comments == 'true' || $author == 'true' || $date == 'true' || $social == 'true' ) { $return .= '<div class="info-post">'; }
				
										if($date == 'true') { $return .= '<span class="data"><i class="icon-calendar"></i>'.get_the_date($date_format).'</span>';
												if($author == 'true' || $comments == 'true') {	$return .= '<div class="separator">-</div>'; }
										}				
										if($author == 'true') { $return .= '<a href="'.get_author_posts_url( get_the_author_meta( 'ID' ) ).'"><i class="icon-user"></i>'.get_the_author_meta( 'display_name' ).'</a>';
												if($comments == 'true') { $return .= '<div class="separator">-</div>'; }
										}					
										if($comments == 'true') { $return .= '<a href="'.get_comments_link().'" class="comments"><i class="icon-bubbles4"></i>'.get_comments_number().'</a>'; }
													
										if($social == 'true') { $return .= wpmegapack_vc_share(); }
													
									if( $comments == 'true' || $author == 'true' || $date == 'true' || $social == 'true' ) { $return .= '</div>'; /* #INFO-POST */ }					
					
					$return .= '</div>';
				
				$return .= '</div></div>';
					
				} else {

				/**********************************************************************/
				/****************************** LAYOUT 2 ******************************/
				/**********************************************************************/					
					
				$return .= '<div class="ad_one_half">';				
				$return .= '<style>.wpmegapack_vc.wpmp_post_display13_bis.wpmepack-post-display-'.$instance.' .wpmegapack_vc-item-'.$count.' { background-image:url('.wpmegapack_vc_thumbs_url($id_post).'); }</style>';	
					$return .= '<div class="title-info-post ad_one_one">';
					
						if( $comments == 'true' || $author == 'true' || $date == 'true' || $social == 'true' ) { $return .= '<div class="info-post">'; }
							
							if($category_show == 'true') { $return .= '<div class="category">'.wpmegapack_vc_category($source,$post_type).'</div>'; }
	
							if($date == 'true') { $return .= '<span class="data"><i class="icon-calendar"></i>'.get_the_date($date_format).'</span>';
									if($author == 'true' || $comments == 'true') {	$return .= '<div class="separator">-</div>'; }
							}				
							if($author == 'true') { $return .= '<a href="'.get_author_posts_url( get_the_author_meta( 'ID' ) ).'"><i class="icon-user"></i>'.get_the_author_meta( 'display_name' ).'</a>';
									if($comments == 'true') { $return .= '<div class="separator">-</div>'; }
							}					
							if($comments == 'true') { $return .= '<a href="'.get_comments_link().'" class="comments"><i class="icon-bubbles4"></i>'.get_comments_number().'</a>'; }
										
							if($social == 'true') { $return .= wpmegapack_vc_share(); }
										
						if( $comments == 'true' || $author == 'true' || $date == 'true' || $social == 'true' ) { $return .= '</div>'; /* #INFO-POST */ }						
					
						$return .= '<h2 class="title-post"><a href="'.$link.'">'.get_the_title().'</a></h2></div>';				
						$return .= '<div class="ad_one_one">';
							$return .= '<div class="wpmegapack_vc-item wpmegapack_vc-item-'.$count.' ad_one_one ad_last big-post first"></div>';	
							$return .= '<div class="title-info-post ad_one_one">
											<p class="text-post">'.wpmegapack_vc_excerpt(300,'...').'</p>
									    </div>';
						$return .= '</div>';
				$return .= '</div>';
				
				}
				
		}

		/**********************************************************************/
		/******************************** TYPE 9 ******************************/
		/**********************************************************************/		
		if($type == 'type9') {
			
				if($layout == 'layout1') {
					
				/**********************************************************************/
				/****************************** LAYOUT 1 ******************************/
				/**********************************************************************/					
				
					$return .= '<div class="ad_one_half">';
					$return .= '<style>.wpmegapack_vc.wpmp_post_display14.wpmepack-post-display-'.$instance.' .wpmegapack_vc-item-'.$count.' { background-image:url('.wpmegapack_vc_thumbs_url($id_post).'); }</style>';	
					
						$return .= '<div class="wpmegapack_vc-item wpmegapack_vc-item-'.$count.' ad_one_half first item">';
						if($category_show == 'true') { $return .= '<div class="category">'.wpmegapack_vc_category($source,$post_type).'</div>'; }	
						$return .= '</div>';
					
					
						$return .= '<div class="box-text ad_one_half">';
							$return .= '<h3 class="title-post"><a href="'.$link.'">'.get_the_title().'</a></h3>';		
							if($date == 'true') { $return .= '<span class="data"><i class="icon-calendar"></i>'.get_the_date($date_format).'</span>'; }
						
							if( $comments == 'true' || $social == 'true' ) { $return .= '<div class="info-post">'; }
							
							if($comments == 'true') { $return .= '<a href="'.get_comments_link().'" class="comments"><i class="icon-bubbles4"></i>'.sprintf(_n( '%s Comment', '%s Comments', get_comments_number(), 'wpmegapack_vc' ),get_comments_number()).'</a>'; }
	
							if($social == 'true') { $return .= wpmegapack_vc_share_left(); }					
						
							if( $comments == 'true' || $social == 'true' ) { $return .= '</div>'; }
					
						$return .= '</div>';
					
					
					$return .= '</div>';
					
				} elseif($layout == 'layout2') {

				/**********************************************************************/
				/****************************** LAYOUT 2 ******************************/
				/**********************************************************************/					

					$return .= '<div class="ad_one_half">';
					$return .= '<style>.wpmegapack_vc.wpmp_post_display14_bis.wpmepack-post-display-'.$instance.' .wpmegapack_vc-item-'.$count.' { background-image:url('.wpmegapack_vc_thumbs_url($id_post).'); }</style>';	
								
						$return .= '<div class="box-text ad_one_half">';
							$return .= '<h3 class="title-post"><a href="'.$link.'">'.get_the_title().'</a></h3>';		
							if($date == 'true') { $return .= '<span class="data">'.get_the_date($date_format).'<i class="icon-calendar"></i></span>'; }
						
							if( $comments == 'true' || $social == 'true' ) { $return .= '<div class="info-post">'; }
							
							if($comments == 'true') { $return .= '<a href="'.get_comments_link().'" class="comments"><i class="icon-bubbles4"></i>'.sprintf(_n( '%s Comment', '%s Comments', get_comments_number(), 'wpmegapack_vc' ),get_comments_number()).'</a>'; }
	
							if($social == 'true') { $return .= wpmegapack_vc_share_left(); }					
						
							if( $comments == 'true' || $social == 'true' ) { $return .= '</div>'; }
					
						$return .= '</div>';
						
						$return .= '<div class="wpmegapack_vc-item wpmegapack_vc-item-'.$count.' ad_one_half first item">';
						if($category_show == 'true') { $return .= '<div class="category">'.wpmegapack_vc_category($source,$post_type).'</div>'; }	
						$return .= '</div>';					
					
					$return .= '</div>';

					
				} else {

				/**********************************************************************/
				/****************************** LAYOUT 3 ******************************/
				/**********************************************************************/					

					$return .= '<div class="ad_one_half">';
					$return .= '<style>.wpmegapack_vc.wpmp_post_display14_ter.wpmepack-post-display-'.$instance.' .wpmegapack_vc-item-'.$count.' { background-image:url('.wpmegapack_vc_thumbs_url($id_post).'); }</style>';	

						if($count % 2 == 0) { $class = 'odd'; } else { $class = 'even'; }

						if($class == 'even') {
						
							$return .= '<div class="wpmegapack_vc-item wpmegapack_vc-item-'.$count.' ad_one_half first item">';
							if($category_show == 'true') { $return .= '<div class="category">'.wpmegapack_vc_category($source,$post_type).'</div>'; }	
							$return .= '</div>';					
						
						}
								
						$return .= '<div class="box-text ad_one_half '.$class.'">';
							$return .= '<h3 class="title-post"><a href="'.$link.'">'.get_the_title().'</a></h3>';		
							if($date == 'true') { $return .= '<span class="data">'.get_the_date($date_format).'<i class="icon-calendar"></i></span>'; }
						
							if( $comments == 'true' || $social == 'true' ) { $return .= '<div class="info-post">'; }
							
							if($comments == 'true') { $return .= '<a href="'.get_comments_link().'" class="comments"><i class="icon-bubbles4"></i>'.sprintf(_n( '%s Comment', '%s Comments', get_comments_number(), 'wpmegapack_vc' ),get_comments_number()).'</a>'; }
	
							if($social == 'true') { $return .= wpmegapack_vc_share_left(); }					
						
							if( $comments == 'true' || $social == 'true' ) { $return .= '</div>'; }
					
						$return .= '</div>';
						
						if($class == 'odd') {
						
							$return .= '<div class="wpmegapack_vc-item wpmegapack_vc-item-'.$count.' ad_one_half first item">';
							if($category_show == 'true') { $return .= '<div class="category odd">'.wpmegapack_vc_category($source,$post_type).'</div>'; }	
							$return .= '</div>';					
						
						}
						
					$return .= '</div>';
					
				}
				
		}

		/**********************************************************************/
		/******************************** TYPE 10 ******************************/
		/**********************************************************************/		
		if($type == 'type10') {
			
				if($layout == 'layout1') {
					
				/**********************************************************************/
				/****************************** LAYOUT 1 ******************************/
				/**********************************************************************/					
					
					$return .= '<div class="ad_one_half">
            						<div class="box-text ad_one_one">';
						$return .= '<h3 class="title-post"><a href="'.$link.'">'.get_the_title().'</a></h3>';
						if($date == 'true') { $return .= '<span class="data"><i class="icon-calendar"></i>'.get_the_date($date_format).'</span>'; }
							
							if( $comments == 'true' || $social == 'true' || $author == 'true' ) { $return .= '<div class="info-post">'; }
							
							if($author == 'true') { $return .= '<a href="'.get_author_posts_url( get_the_author_meta( 'ID' ) ).'"><i class="icon-user"></i>'.get_the_author_meta( 'display_name' ).'</a>';
									if($comments == 'true') { $return .= '<div class="separator">-</div>'; }
							}	
																					
							if($comments == 'true') { $return .= '<a href="'.get_comments_link().'" class="comments"><i class="icon-bubbles4"></i>'.sprintf(_n( '%s Comment', '%s Comments', get_comments_number(), 'wpmegapack_vc' ),get_comments_number()).'</a>'; }
	
							if($social == 'true') { $return .= wpmegapack_vc_share_left(); }					
						
							if( $comments == 'true' || $social == 'true' || $author == 'true' ) { $return .= '</div>'; }
						
						$return .= '</div></div>';
					
				} else {

				/**********************************************************************/
				/****************************** LAYOUT 2 ******************************/
				/**********************************************************************/					

					$return .= '<div class="ad_one_half">
            						<div class="box-text ad_one_one">';
						$return .= '<h3 class="title-post"><a href="'.$link.'">'.get_the_title().'</a></h3>';
						if($date == 'true') { $return .= '<span class="data"><i class="icon-calendar"></i>'.get_the_date($date_format).'</span>'; }
							
							if( $comments == 'true' || $social == 'true' || $author == 'true' ) { $return .= '<div class="info-post">'; }
							
							if($author == 'true') { $return .= '<a href="'.get_author_posts_url( get_the_author_meta( 'ID' ) ).'"><i class="icon-user"></i>'.get_the_author_meta( 'display_name' ).'</a>';
									if($comments == 'true') { $return .= '<div class="separator">-</div>'; }
							}	
														
							if($comments == 'true') { $return .= '<a href="'.get_comments_link().'" class="comments"><i class="icon-bubbles4"></i>'.sprintf(_n( '%s Comment', '%s Comments', get_comments_number(), 'wpmegapack_vc' ),get_comments_number()).'</a>'; }
	
							if($social == 'true') { $return .= wpmegapack_vc_share_left(); }					
						
							if( $comments == 'true' || $social == 'true' || $author == 'true' ) { $return .= '</div>'; }
						
						$return .= '</div></div>';
					
				}
				
		}
		
		$count++;
		endwhile; // #WHILE
		} // #LOOP			


		/**********************************************************************/
		/****************************** PAGINATION ****************************/
		/**********************************************************************/ 
		if($pagination == 'yes') {
				$return .= '<div class="wpmp-clear"></div><div class="wpmp-post-display-'.$instance.' wpmp-pagination">';
				if($pagination_type == 'numeric') {
					$return .= wpmegapack_vc_numeric_pagination($pages = '', $range = 2,$loop);
				} else {
					$return .= get_next_posts_link( 'Older posts', $loop->max_num_pages );
					$return .= get_previous_posts_link( 'Newer posts' );				
				}
				$return .= '</div>';
		}
		/**********************************************************************/
		/***************************** #PAGINATION ****************************/
		/**********************************************************************/ 



		
		$return .= '<div class="wpmp-clear"></div></div>'; // #MAIN DIV
		$return .= '';
		return $return;
	}
}
new wpmp_vc_post_display_function();

function wpmp_vc_post_display_custom_style($instance,$type,$layout,$maincolor,$secondarycolor,$thirdcolor) {
	
	
	$return = '<style>';
	
	if($type == 'type1') {
		
		if($layout == 'layout1') {
		
			$return .= '.wpmegapack_vc.title-box-'.$instance.'.title-box,
						.wpmegapack_vc.wpmp_post_display6.wpmepack-post-display-'.$instance.' .ad_one_third .category a {
							border-right: 5px solid '.$maincolor.';
						}
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box,
						.wpmegapack_vc.wpmp_post_display6.wpmepack-post-display-'.$instance.' .category a:hover,
						.wpmegapack_vc.wpmp_post_display6.wpmepack-post-display-'.$instance.' .share,
						.wpmegapack_vc.wpmp_post_display6.wpmepack-post-display-'.$instance.' .share .info-comments,
						.wpmegapack_vc.wpmp_post_display6.wpmepack-post-display-'.$instance.' .title-info-post.ad_one_one .info-post {
							background:'.$maincolor.'
						}
						.wpmegapack_vc.wpmp_post_display6.wpmepack-post-display-'.$instance.' .ad_one_one .category a {
							border-left:5px solid '.$maincolor.';
						}
						.wpmegapack_vc.wpmp_post_display6.wpmepack-post-display-'.$instance.' .mini-post.small-post .info-post i,
						.wpmegapack_vc.wpmp_post_display6.wpmepack-post-display-'.$instance.' .title-info-post.ad_one_one .title-post a:hover,
						.wpmegapack_vc.wpmp_post_display6.wpmepack-post-display-'.$instance.' .icon-calendar,
						.wpmp_post_display6.wpmepack-post-display-'.$instance.' .mini-post .title-post a:hover,
						.wpmp_post_display6.wpmepack-post-display-'.$instance.' .mini-post .info-post a:hover {
							color:'.$maincolor.'
						}
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box,
						.wpmegapack_vc.wpmp_post_display6.wpmepack-post-display-'.$instance.' .ad_one_one .category a,
						.wpmegapack_vc.wpmp_post_display6.wpmepack-post-display-'.$instance.' .ad_one_third .category a,
						.wpmegapack_vc.wpmp_post_display6.wpmepack-post-display-'.$instance.' .category a:hover,
						.wpmegapack_vc.wpmp_post_display6.wpmepack-post-display-'.$instance.' .share,
						.wpmegapack_vc.wpmp_post_display6.wpmepack-post-display-'.$instance.' .separator,
						.wpmegapack_vc.wpmp_post_display6.wpmepack-post-display-'.$instance.' .info-post i,
						.wpmegapack_vc.wpmp_post_display6.wpmepack-post-display-'.$instance.' .share a,
						.wpmegapack_vc.wpmp_post_display6.wpmepack-post-display-'.$instance.' .share-icon:hover,
						.wpmegapack_vc.wpmp_post_display6.wpmepack-post-display-'.$instance.' .title-info-post.ad_one_one .info-post a,
						.wpmegapack_vc.wpmp_post_display6.wpmepack-post-display-'.$instance.' .title-info-post.ad_one_one .info-post span,
						.wpmegapack_vc.wpmp_post_display6.wpmepack-post-display-'.$instance.' .wpmegapack_vc-item.ad_one_one.ad_last.big-post i,
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box:hover {
							color:'.$secondarycolor.';
						}
						.wpmegapack_vc.wpmp_post_display6.wpmepack-post-display-'.$instance.' {
							background:'.$secondarycolor.';
						}						
						.wpmegapack_vc.wpmp_post_display6.wpmepack-post-display-'.$instance.' .info-post a,
						.wpmegapack_vc.wpmp_post_display6.wpmepack-post-display-'.$instance.' .info-post span,
						.wpmegapack_vc.wpmp_post_display6.wpmepack-post-display-'.$instance.' .title-info-post.ad_one_one .title-post a,
						.wpmegapack_vc.wpmp_post_display6.wpmepack-post-display-'.$instance.' .title-info-post.ad_one_one .info-post a:hover,
						.wpmp_post_display6.wpmepack-post-display-'.$instance.' .mini-post .title-post a,
						.wpmegapack_vc.wpmp_post_display6.wpmepack-post-display-'.$instance.' .title-info-post.ad_one_one p {
							color:'.$thirdcolor.';
						}';
			
		} else {
			
			$return .= '.wpmegapack_vc.title-box-'.$instance.'.title-box,
						.wpmegapack_vc.wpmp_post_display6_bis.wpmepack-post-display-'.$instance.' .ad_one_third .category a {
							border-right: 5px solid '.$maincolor.';
						}
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box,
						.wpmegapack_vc.wpmp_post_display6_bis.wpmepack-post-display-'.$instance.' .category a:hover,
						.wpmegapack_vc.wpmp_post_display6_bis.wpmepack-post-display-'.$instance.' .share,
						.wpmegapack_vc.wpmp_post_display6_bis.wpmepack-post-display-'.$instance.' .share .info-comments,
						.wpmegapack_vc.wpmp_post_display6_bis.wpmepack-post-display-'.$instance.' .title-info-post.ad_one_one .info-post {
							background:'.$maincolor.';
						}
						.wpmegapack_vc.wpmp_post_display6_bis.wpmepack-post-display-'.$instance.' .ad_one_one .category a {
							border-left:5px solid '.$maincolor.';
						}
						.wpmegapack_vc.wpmp_post_display6_bis.wpmepack-post-display-'.$instance.' .mini-post.small-post .info-post i,
						.wpmegapack_vc.wpmp_post_display6_bis.wpmepack-post-display-'.$instance.' .title-info-post.ad_one_one .title-post a:hover,
						.wpmegapack_vc.wpmp_post_display6_bis.wpmepack-post-display-'.$instance.' .icon-calendar,
						.wpmp_post_display6_bis.wpmepack-post-display-'.$instance.' .mini-post .title-post a:hover,
						.wpmp_post_display6_bis.wpmepack-post-display-'.$instance.' .mini-post .info-post a:hover {
							color:'.$maincolor.';
						}
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box,
						.wpmegapack_vc.wpmp_post_display6_bis.wpmepack-post-display-'.$instance.' .ad_one_one .category a,
						.wpmegapack_vc.wpmp_post_display6_bis.wpmepack-post-display-'.$instance.' .ad_one_third .category a,
						.wpmegapack_vc.wpmp_post_display6_bis.wpmepack-post-display-'.$instance.' .category a:hover,
						.wpmegapack_vc.wpmp_post_display6_bis.wpmepack-post-display-'.$instance.' .share,
						.wpmegapack_vc.wpmp_post_display6_bis.wpmepack-post-display-'.$instance.' .separator,
						.wpmegapack_vc.wpmp_post_display6_bis.wpmepack-post-display-'.$instance.' .info-post i,
						.wpmegapack_vc.wpmp_post_display6_bis.wpmepack-post-display-'.$instance.' .share a,
						.wpmegapack_vc.wpmp_post_display6_bis.wpmepack-post-display-'.$instance.' .share-icon:hover,
						.wpmegapack_vc.wpmp_post_display6_bis.wpmepack-post-display-'.$instance.' .title-info-post.ad_one_one .info-post a,
						.wpmegapack_vc.wpmp_post_display6_bis.wpmepack-post-display-'.$instance.' .title-info-post.ad_one_one .info-post span,
						.wpmegapack_vc.wpmp_post_display6_bis.wpmepack-post-display-'.$instance.' .wpmegapack_vc-item.ad_one_one.ad_last.big-post i,
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box:hover {
							color:'.$secondarycolor.';
						}
						.wpmegapack_vc.wpmp_post_display6_bis.wpmepack-post-display-'.$instance.' {
							background:'.$secondarycolor.';
						}
						.wpmegapack_vc.wpmp_post_display6_bis.wpmepack-post-display-'.$instance.' .info-post a,
						.wpmegapack_vc.wpmp_post_display6_bis.wpmepack-post-display-'.$instance.' .info-post span,
						.wpmegapack_vc.wpmp_post_display6_bis.wpmepack-post-display-'.$instance.' .title-info-post.ad_one_one .title-post a,
						.wpmegapack_vc.wpmp_post_display6_bis.wpmepack-post-display-'.$instance.' .title-info-post.ad_one_one .info-post a:hover,
						.wpmp_post_display6_bis.wpmepack-post-display-'.$instance.' .mini-post .title-post a,
						.wpmegapack_vc.wpmp_post_display6_bis.wpmepack-post-display-'.$instance.' .title-info-post.ad_one_one p {
							color:'.$thirdcolor.';
						}';			
			
		}
		
	}
	
	if($type == 'type2') {
		
		if($layout == 'layout1') {
	
			$return .= '.wpmegapack_vc.title-box-'.$instance.'.title-box {
							border-right: 5px solid '.$maincolor.';
						}
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box,
						.wpmegapack_vc.wpmp_post_display7.wpmepack-post-display-'.$instance.' .category a:hover,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination .wpmp-pagination .current,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a:hover {
							background:'.$maincolor.';
						}
						.wpmegapack_vc.wpmp_post_display7.wpmepack-post-display-'.$instance.' .ad_one_third .category a {
							border-left:5px solid '.$maincolor.';
						}
						.wpmegapack_vc.wpmp_post_display7.wpmepack-post-display-'.$instance.' .ad_one_third .box-text h2 a:hover,
						.wpmegapack_vc.wpmp_post_display7.wpmepack-post-display-'.$instance.' .data:hover,
						.wpmegapack_vc.wpmp_post_display7.wpmepack-post-display-'.$instance.' .icon-calendar,
						.wpmp-pagination a {
							color:'.$maincolor.';
						}
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box,
						.wpmegapack_vc.wpmp_post_display7.wpmepack-post-display-'.$instance.' .ad_one_third .category a,
						.wpmegapack_vc.wpmp_post_display7.wpmepack-post-display-'.$instance.' .category a:hover,
						.wpmegapack_vc.wpmp_post_display7.wpmepack-post-display-'.$instance.' .wpmegapack_vc-item.ad_one_one.ad_last.big-post i,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination .wpmp-pagination .current,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a:hover {
							color:'.$secondarycolor.';
						}
						.wpmegapack_vc.wpmp_post_display7.wpmepack-post-display-'.$instance.' .box-text,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a {
							background:'.$secondarycolor.';
						}						
						.wpmegapack_vc.wpmp_post_display7.wpmepack-post-display-'.$instance.' .ad_one_third .box-text h2 a,
						.wpmegapack_vc.wpmp_post_display7.wpmepack-post-display-'.$instance.' .data {
							color:'.$thirdcolor.';
						}';
	
		} else {
			
			$return .= '.wpmegapack_vc.title-box-'.$instance.'.title-box {
							border-right: 5px solid '.$maincolor.';
						}
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box,
						.wpmegapack_vc.wpmp_post_display7_bis.wpmepack-post-display-'.$instance.' .category a:hover,
						.wpmegapack_vc.wpmp_post_display7_bis.wpmepack-post-display-'.$instance.' .data,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination .wpmp-pagination .current,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a:hover {
							background:'.$maincolor.';
						}
						.wpmegapack_vc.wpmp_post_display7_bis.wpmepack-post-display-'.$instance.' .ad_one_third .category a {
							border-left: 5px solid '.$maincolor.';
						}
						.wpmegapack_vc.wpmp_post_display7_bis.wpmepack-post-display-'.$instance.' .ad_one_third .box-text h3 a:hover,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a {
							color:'.$maincolor.';
						}
						.wpmegapack_vc.wpmp_post_display7_bis.wpmepack-post-display-'.$instance.' .ad_one_third,
						.wpmegapack_vc.wpmp_post_display7_bis.wpmepack-post-display-'.$instance.' .box-text,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a {
							background:'.$secondarycolor.';
						}
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box,
						.wpmegapack_vc.wpmp_post_display7_bis.wpmepack-post-display-'.$instance.' .ad_one_third .category a,
						.wpmegapack_vc.wpmp_post_display7_bis.wpmepack-post-display-'.$instance.' .category a:hover,
						.wpmegapack_vc.wpmp_post_display7_bis.wpmepack-post-display-'.$instance.' .data,
						.wpmegapack_vc.wpmp_post_display7_bis.wpmepack-post-display-'.$instance.' .icon-calendar,
						.wpmegapack_vc.wpmp_post_display7_bis.wpmepack-post-display-'.$instance.' .wpmegapack_vc-item.ad_one_one.ad_last.big-post i,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination .wpmp-pagination .current,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a:hover {
							color:'.$secondarycolor.';
						}	
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box:hover,
						.wpmegapack_vc.wpmp_post_display7_bis.wpmepack-post-display-'.$instance.' .ad_one_third .category a,
						.wpmegapack_vc.wpmp_post_display7_bis.wpmepack-post-display-'.$instance.' .ad_one_third .box-text h3 a,
						.wpmegapack_vc.wpmp_post_display7_bis.wpmepack-post-display-'.$instance.' .data:hover {
							color:'.$thirdcolor.';
						}											
						';
			
		}

	}

	if($type == 'type3') {
		
		if($layout == 'layout1') {
	
			$return .= '.wpmegapack_vc.title-box-'.$instance.'.title-box {
							border-right: 5px solid '.$maincolor.';
						}
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box,
						.wpmegapack_vc.wpmp_post_display8.wpmepack-post-display-'.$instance.' .category a:hover,
						.wpmegapack_vc.wpmp_post_display8.wpmepack-post-display-'.$instance.' .share,
						.wpmegapack_vc.wpmp_post_display8.wpmepack-post-display-'.$instance.' .box-text.ad_two_third .info-post,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination .wpmp-pagination .current,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a:hover {
							background:'.$maincolor.';
						}
						.wpmegapack_vc.wpmp_post_display8.wpmepack-post-display-'.$instance.' .box-text.ad_two_third h2 a:hover,
						.wpmegapack_vc.wpmp_post_display8.wpmepack-post-display-'.$instance.' .data:hover,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a {
							color:'.$maincolor.';
						}
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box,
						.wpmegapack_vc.wpmp_post_display8.wpmepack-post-display-'.$instance.' .ad_one_one .category a,
						.wpmegapack_vc.wpmp_post_display8.wpmepack-post-display-'.$instance.' .category a:hover,
						.wpmegapack_vc.wpmp_post_display8.wpmepack-post-display-'.$instance.' .box-text.ad_two_third .info-post a,
						.wpmegapack_vc.wpmp_post_display8.wpmepack-post-display-'.$instance.' .box-text.ad_two_third .info-post span,
						.wpmegapack_vc.wpmp_post_display8.wpmepack-post-display-'.$instance.' .info-post .share a,
						.wpmegapack_vc.wpmp_post_display8.wpmepack-post-display-'.$instance.' .info-post .share .share-icon:hover,
						.wpmegapack_vc.wpmp_post_display8.wpmepack-post-display-'.$instance.' .box-text.ad_two_third i,
						.wpmegapack_vc.wpmp_post_display8.wpmepack-post-display-'.$instance.' .box-text.ad_two_third .separator,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination .wpmp-pagination .current,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a:hover {
							color:'.$secondarycolor.';
						}
						.wpmegapack_vc.wpmp_post_display8.wpmepack-post-display-'.$instance.' .box-text.ad_two_third,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a {
							background:'.$secondarycolor.';
						}						
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box:hover,
						.wpmegapack_vc.wpmp_post_display8.wpmepack-post-display-'.$instance.' .box-text.ad_two_third a:hover,
						.wpmegapack_vc.wpmp_post_display8.wpmepack-post-display-'.$instance.' .box-text.ad_two_third h2 a {
							color:'.$thirdcolor.';
						}						
						';
	
		} else {
			
			$return .= '.wpmegapack_vc.title-box-'.$instance.'.title-box {
							border-right: 5px solid '.$maincolor.';
						}
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box,
						.wpmegapack_vc.wpmp_post_display8_bis.wpmepack-post-display-'.$instance.' .category a:hover,
						.wpmegapack_vc.wpmp_post_display8_bis.wpmepack-post-display-'.$instance.' .share,
						.wpmegapack_vc.wpmp_post_display8_bis.wpmepack-post-display-'.$instance.' .box-text.ad_two_third .info-post,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination .current,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a:hover {
							background:'.$maincolor.';
						}
						.wpmegapack_vc.wpmp_post_display8_bis.wpmepack-post-display-'.$instance.' .box-text.ad_two_third h2 a:hover,
						.wpmegapack_vc.wpmp_post_display8_bis.wpmepack-post-display-'.$instance.' .data:hover,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a {
							color:'.$maincolor.';
						}			
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box,
						.wpmegapack_vc.wpmp_post_display8_bis.wpmepack-post-display-'.$instance.' .ad_one_one .category a,
						.wpmegapack_vc.wpmp_post_display8_bis.wpmepack-post-display-'.$instance.' .category a:hover,
						.wpmegapack_vc.wpmp_post_display8_bis.wpmepack-post-display-'.$instance.' .box-text.ad_two_third .info-post a,
						.wpmegapack_vc.wpmp_post_display8_bis.wpmepack-post-display-'.$instance.' .box-text.ad_two_third .info-post span,
						.wpmegapack_vc.wpmp_post_display8_bis.wpmepack-post-display-'.$instance.' .info-post .share a,
						.wpmegapack_vc.wpmp_post_display8_bis.wpmepack-post-display-'.$instance.' .info-post .share .share-icon:hover,
						.wpmegapack_vc.wpmp_post_display8_bis.wpmepack-post-display-'.$instance.' .box-text.ad_two_third i,
						.wpmegapack_vc.wpmp_post_display8_bis.wpmepack-post-display-'.$instance.' .box-text.ad_two_third .separator,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination .current,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a:hover  {
							color:'.$secondarycolor.';
						}
						.wpmegapack_vc.wpmp_post_display8_bis.wpmepack-post-display-'.$instance.' .box-text.ad_two_third,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a {
							background:'.$secondarycolor.';
						}			
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box:hover,
						.wpmegapack_vc.wpmp_post_display8_bis.wpmepack-post-display-'.$instance.' .box-text.ad_two_third a:hover,
						.wpmegapack_vc.wpmp_post_display8_bis.wpmepack-post-display-'.$instance.' .box-text.ad_two_third h2 a {
							color:'.$thirdcolor.';
						}			
			
			';
			
		}

	}
	
	if($type == 'type4') {
		
		if($layout == 'layout1') {
	
			$return .= '.wpmegapack_vc.title-box-'.$instance.'.title-box {
							border-right: 5px solid '.$maincolor.';
						}
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box,
						.wpmegapack_vc.wpmp_post_display9.wpmepack-post-display-'.$instance.' .category a:hover,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination .current,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a:hover {
							background:'.$maincolor.';
						}
						.wpmegapack_vc.wpmp_post_display9.wpmepack-post-display-'.$instance.' .ad_one_fourth .category a {
							border-left:5px solid '.$maincolor.';
						}
						.wpmegapack_vc.wpmp_post_display9.wpmepack-post-display-'.$instance.' .ad_one_fourth .box-text h3 a:hover,
						.wpmegapack_vc.wpmp_post_display9.wpmepack-post-display-'.$instance.' .data:hover,
						.wpmegapack_vc.wpmp_post_display9.wpmepack-post-display-'.$instance.' .icon-calendar,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a
						 {
							color:'.$maincolor.';
						}
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box,
						.wpmegapack_vc.wpmp_post_display9.wpmepack-post-display-'.$instance.' .ad_one_fourth .category a,
						.wpmegapack_vc.wpmp_post_display9.wpmepack-post-display-'.$instance.' .category a:hover,
						.wpmegapack_vc.wpmp_post_display9.wpmepack-post-display-'.$instance.' .box-text p,
						.wpmegapack_vc.wpmp_post_display9.wpmepack-post-display-'.$instance.' .ad_one_fourth .box-text h3 a,
						.wpmegapack_vc.wpmp_post_display9.wpmepack-post-display-'.$instance.' .data,
						.wpmegapack_vc.wpmp_post_display9.wpmepack-post-display-'.$instance.' .wpmegapack_vc-item.ad_one_one.ad_last.big-post i,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination .current,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a:hover {
							color:'.$secondarycolor.';
						}
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a {
							background:'.$secondarycolor.';
						}						
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box:hover {
							color:'.$thirdcolor.';
						}';
	
		} else {
			
			$return .= '.wpmegapack_vc.title-box-'.$instance.'.title-box {
							border-right: 5px solid '.$maincolor.';
						}
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box,
						.wpmegapack_vc.wpmp_post_display9_bis.wpmepack-post-display-'.$instance.' .category a:hover {
							background:'.$maincolor.';
						}
						.wpmegapack_vc.wpmp_post_display9_bis.wpmepack-post-display-'.$instance.' .wpmegapack_vc-element-carousel .category a {
							border-left:5px solid '.$maincolor.';
						}
						.wpmegapack_vc.wpmp_post_display9_bis.wpmepack-post-display-'.$instance.' .wpmegapack_vc-element-carousel .box-text h3 a:hover,
						.wpmegapack_vc.wpmp_post_display9_bis.wpmepack-post-display-'.$instance.' .data:hover,
						.wpmegapack_vc.wpmp_post_display9_bis.wpmepack-post-display-'.$instance.' .icon-calendar,
						.wpmepack-post-display-'.$instance.'.owl-theme .owl-controls .owl-nav [class*="owl-"]:hover {
							color:'.$maincolor.';
						}
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box,
						.wpmegapack_vc.wpmp_post_display9_bis.wpmepack-post-display-'.$instance.' .wpmegapack_vc-element-carousel .category a,
						.wpmegapack_vc.wpmp_post_display9_bis.wpmepack-post-display-'.$instance.' .category a:hover,
						.wpmegapack_vc.wpmp_post_display9_bis.wpmepack-post-display-'.$instance.' .box-text p,
						.wpmegapack_vc.wpmp_post_display9_bis.wpmepack-post-display-'.$instance.' .wpmegapack_vc-element-carousel .box-text h3 a,
						.wpmegapack_vc.wpmp_post_display9_bis.wpmepack-post-display-'.$instance.' .data,
						.wpmegapack_vc.wpmp_post_display9_bis.wpmepack-post-display-'.$instance.' .wpmegapack_vc-item.ad_one_one.ad_last.big-post i {
							color:'.$secondarycolor.';
						}						
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box:hover {
							color:'.$thirdcolor.';
						}';
			
		}

	}
	
	if($type == 'type5') {
		
		if($layout == 'layout1') {
	
			$return .= '.wpmegapack_vc.title-box-'.$instance.'.title-box,
						.wpmegapack_vc.wpmp_post_display10.wpmepack-post-display-'.$instance.' .ad_one_third .category a {
							border-right: 5px solid '.$maincolor.';
						}
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box,
						.wpmegapack_vc.wpmp_post_display10.wpmepack-post-display-'.$instance.' .category a:hover,
						.wpmegapack_vc.wpmp_post_display10.wpmepack-post-display-'.$instance.' .share,
						.wpmegapack_vc.wpmp_post_display10.wpmepack-post-display-'.$instance.' .share .info-comments,
						.wpmegapack_vc.wpmp_post_display10.wpmepack-post-display-'.$instance.' .info-post,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination .current,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a:hover {
								background: '.$maincolor.';
						}
						.wpmegapack_vc.wpmp_post_display10.wpmepack-post-display-'.$instance.' .ad_one_one .category a {
							border-left:5px solid '.$maincolor.';
						}
						.wpmegapack_vc.wpmp_post_display10.wpmepack-post-display-'.$instance.' .mini-post.small-post .info-post i,
						.wpmegapack_vc.wpmp_post_display10.wpmepack-post-display-'.$instance.' .title-info-post a:hover,
						.wpmegapack_vc.wpmp_post_display10.wpmepack-post-display-'.$instance.' .icon-calendar,
						.wpmp_post_display10.wpmepack-post-display-'.$instance.' .mini-post .title-post a:hover,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a {
							color:'.$maincolor.';
						}
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box,
						.wpmegapack_vc.wpmp_post_display10.wpmepack-post-display-'.$instance.' .ad_one_one .category a,
						.wpmegapack_vc.wpmp_post_display10.wpmepack-post-display-'.$instance.' .ad_one_third .category a,
						.wpmegapack_vc.wpmp_post_display10.wpmepack-post-display-'.$instance.' .category a:hover,
						.wpmegapack_vc.wpmp_post_display10.wpmepack-post-display-'.$instance.' .share,
						.wpmegapack_vc.wpmp_post_display10.wpmepack-post-display-'.$instance.' .separator,
						.wpmegapack_vc.wpmp_post_display10.wpmepack-post-display-'.$instance.' .info-post i,
						.wpmegapack_vc.wpmp_post_display10.wpmepack-post-display-'.$instance.' .share a,
						.wpmegapack_vc.wpmp_post_display10.wpmepack-post-display-'.$instance.' .share-icon:hover,
						.wpmegapack_vc.wpmp_post_display10.wpmepack-post-display-'.$instance.' .info-post a,
						.wpmegapack_vc.wpmp_post_display10.wpmepack-post-display-'.$instance.' .info-post span,
						.wpmegapack_vc.wpmp_post_display10.wpmepack-post-display-'.$instance.' .wpmegapack_vc-item.ad_one_one.ad_last.big-post i,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination .current,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a:hover,
						.wpmp_post_display10.wpmepack-post-display-'.$instance.' .info-post a:hover {
							color:'.$secondarycolor.';
						}
						.wpmegapack_vc.wpmp_post_display10.wpmepack-post-display-'.$instance.' .ad_one_one,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a {
							background:'.$secondarycolor.';
						}
						.wpmegapack_vc.title-box .name-box:hover,
						.wpmegapack_vc.wpmp_post_display10.wpmepack-post-display-'.$instance.' .title-info-post a,
						.wpmegapack_vc.wpmp_post_display10.wpmepack-post-display-'.$instance.' .info-post a:hover,
						.wpmp_post_display10.wpmepack-post-display-'.$instance.' .mini-post .title-post a {
							color:'.$thirdcolor.';
						}
						.wpmegapack_vc.wpmp_post_display10.wpmepack-post-display-'.$instance.' .ad_one_third .category a {
							background:'.$thirdcolor.';
						}
						.wpmp_post_display10.wpmepack-post-display-'.$instance.' .mini-post.small-post.ad_one_third {
							border-bottom: 1px solid '.$thirdcolor.';
							border-left: 1px solid '.$thirdcolor.';
						}';
	
		} else {
			
			$return .= '.wpmegapack_vc.title-box-'.$instance.'.title-box,
						.wpmegapack_vc.wpmp_post_display10_bis.wpmepack-post-display-'.$instance.' .ad_one_third .category a {
							border-right: 5px solid '.$maincolor.';
						}
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box,
						.wpmegapack_vc.wpmp_post_display10_bis.wpmepack-post-display-'.$instance.' .category a:hover,
						.wpmegapack_vc.wpmp_post_display10_bis.wpmepack-post-display-'.$instance.' .share,
						.wpmegapack_vc.wpmp_post_display10_bis.wpmepack-post-display-'.$instance.' .share .info-comments,
						.wpmegapack_vc.wpmp_post_display10_bis.wpmepack-post-display-'.$instance.' .info-post,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination .current,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a:hover {
								background: '.$maincolor.';
						}
						.wpmegapack_vc.wpmp_post_display10_bis.wpmepack-post-display-'.$instance.' .ad_one_one .category a {
							border-left:5px solid '.$maincolor.';
						}
						.wpmegapack_vc.wpmp_post_display10_bis.wpmepack-post-display-'.$instance.' .mini-post.small-post .info-post i,
						.wpmegapack_vc.wpmp_post_display10_bis.wpmepack-post-display-'.$instance.' .title-info-post a:hover,
						.wpmegapack_vc.wpmp_post_display10_bis.wpmepack-post-display-'.$instance.' .icon-calendar,
						.wpmp_post_display10_bis.wpmepack-post-display-'.$instance.' .mini-post .title-post a:hover,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a,
						.wpmepack-post-display-'.$instance.' .title-post a {
							color:'.$maincolor.';
						}
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box,
						.wpmegapack_vc.wpmp_post_display10_bis.wpmepack-post-display-'.$instance.' .ad_one_one .category a,
						.wpmegapack_vc.wpmp_post_display10_bis.wpmepack-post-display-'.$instance.' .ad_one_third .category a,
						.wpmegapack_vc.wpmp_post_display10_bis.wpmepack-post-display-'.$instance.' .category a:hover,
						.wpmegapack_vc.wpmp_post_display10_bis.wpmepack-post-display-'.$instance.' .share,
						.wpmegapack_vc.wpmp_post_display10_bis.wpmepack-post-display-'.$instance.' .separator,
						.wpmegapack_vc.wpmp_post_display10_bis.wpmepack-post-display-'.$instance.' .info-post i,
						.wpmegapack_vc.wpmp_post_display10_bis.wpmepack-post-display-'.$instance.' .share a,
						.wpmegapack_vc.wpmp_post_display10_bis.wpmepack-post-display-'.$instance.' .share-icon:hover,
						.wpmegapack_vc.wpmp_post_display10_bis.wpmepack-post-display-'.$instance.' .info-post a,
						.wpmegapack_vc.wpmp_post_display10_bis.wpmepack-post-display-'.$instance.' .info-post span,
						.wpmegapack_vc.wpmp_post_display10_bis.wpmepack-post-display-'.$instance.' .wpmegapack_vc-item.ad_one_one.ad_last.big-post i,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination .current,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a:hover,
						.wpmp_post_display10_bis.wpmepack-post-display-'.$instance.' .info-post a:hover {
							color:'.$secondarycolor.';
						}
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a,
						.wpmegapack_vc.wpmp_post_display10_bis.wpmepack-post-display-'.$instance.' .ad_one_one {
							background:'.$secondarycolor.';
						}
						.wpmegapack_vc.title-box-'.$instance.' .name-box:hover,
						.wpmegapack_vc.wpmp_post_display10_bis.wpmepack-post-display-'.$instance.' .title-info-post a,
						.wpmegapack_vc.wpmp_post_display10_bis.wpmepack-post-display-'.$instance.' .info-post a:hover,
						.wpmp_post_display10_bis.wpmepack-post-display-'.$instance.' .mini-post .title-post a,
						.wpmepack-post-display-'.$instance.' .title-post a:hover {
							color:'.$thirdcolor.';
						}
						.wpmegapack_vc.wpmp_post_display10_bis.wpmepack-post-display-'.$instance.' .ad_one_third .category a {
							background:'.$thirdcolor.';
						}
						.wpmp_post_display10_bis.wpmepack-post-display-'.$instance.' .mini-post.small-post.ad_one_third {
							border-bottom: 1px solid '.$thirdcolor.';
							border-left: 1px solid '.$thirdcolor.';
						}';
			
		}

	}
	
	if($type == 'type6') {
		
	
			$return .= '.wpmegapack_vc.title-box-'.$instance.'.title-box {
							border-right: 5px solid '.$maincolor.';
						}
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box,
						.wpmegapack_vc.wpmp_post_display11.wpmepack-post-display-'.$instance.' .category a:hover,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination .current,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a:hover,
						.wpmegapack_vc.wpmp_post_display11.wpmepack-post-display-'.$instance.' .ad_one_third .category a:hover {
							background:'.$maincolor.';
						}
						.wpmegapack_vc.wpmp_post_display11.wpmepack-post-display-'.$instance.' .ad_one_third .category a {
							border-left:5px solid '.$maincolor.';
						}
						.wpmegapack_vc.wpmp_post_display11.wpmepack-post-display-'.$instance.' .ad_one_third .box-text h3 a:hover,
						.wpmegapack_vc.wpmp_post_display11.wpmepack-post-display-'.$instance.' .data:hover, 
						.wpmegapack_vc.wpmp_post_display11.wpmepack-post-display-'.$instance.' .view:hover,
						.wpmegapack_vc.wpmp_post_display11.wpmepack-post-display-'.$instance.' .icon-calendar, 
						.wpmegapack_vc.wpmp_post_display11.wpmepack-post-display-'.$instance.' .icon-user,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a {
							color:'.$maincolor.';
						}
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box,
						.wpmegapack_vc.wpmp_post_display11.wpmepack-post-display-'.$instance.' .ad_one_third .category a,
						.wpmegapack_vc.wpmp_post_display11.wpmepack-post-display-'.$instance.' .category a:hover,
						.wpmegapack_vc.wpmp_post_display11.wpmepack-post-display-'.$instance.' .box-text p,
						.wpmegapack_vc.wpmp_post_display11.wpmepack-post-display-'.$instance.' .ad_one_third .box-text h3 a,
						.wpmegapack_vc.wpmp_post_display11.wpmepack-post-display-'.$instance.' .data, 
						.wpmegapack_vc.wpmp_post_display11.wpmepack-post-display-'.$instance.' .view,
						.wpmegapack_vc.wpmp_post_display11.wpmepack-post-display-'.$instance.' .separator,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination .current,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a:hover {
							color:'.$secondarycolor.';
						}
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a {
							background:'.$secondarycolor.';
						}
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box:hover,						
						.wpmepack-post-display-'.$instance.' .wpmegapack_vc.title-box .name-box:hover {
							color:'.$thirdcolor.';
						}
						.wpmegapack_vc.wpmp_post_display11.wpmepack-post-display-'.$instance.' .ad_one_third .category a {
							background:'.$thirdcolor.';
						}';
	

	}
	
	if($type == 'type7') {
		
		if($layout == 'layout1') {
	
			$return .= '.wpmegapack_vc.title-box-'.$instance.'.title-box {
							border-right: 5px solid '.$maincolor.';
						}
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box,
						.wpmegapack_vc.wpmp_post_display12.wpmepack-post-display-'.$instance.' .category a:hover,
						.wpmegapack_vc.wpmp_post_display12.wpmepack-post-display-'.$instance.' .share,
						.wpmegapack_vc.wpmp_post_display12.wpmepack-post-display-'.$instance.' .share .info-comments,
						.wpmegapack_vc.wpmp_post_display12.wpmepack-post-display-'.$instance.' .title-info-post.ad_one_one .info-post,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination .current,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a:hover,
						.wpmegapack_vc.wpmp_post_display12.wpmepack-post-display-'.$instance.' .ad_one_one .category a:hover {
							background:'.$maincolor.';
						}
						.wpmegapack_vc.wpmp_post_display12.wpmepack-post-display-'.$instance.' .ad_one_one .category a {
							border-left:5px solid '.$maincolor.';
						}
						.wpmegapack_vc.wpmp_post_display12.wpmepack-post-display-'.$instance.' .mini-post.small-post .info-post i,
						.wpmegapack_vc.wpmp_post_display12.wpmepack-post-display-'.$instance.' .title-info-post.ad_one_one a:hover,
						.wpmegapack_vc.wpmp_post_display12.wpmepack-post-display-'.$instance.' .icon-calendar,
						.wpmp_post_display12.wpmepack-post-display-'.$instance.' .mini-post .title-post a:hover,
						.wpmp_post_display12.wpmepack-post-display-'.$instance.' .mini-post .info-post a:hover,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a {
							color:'.$maincolor.';
						}
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box,
						.wpmegapack_vc.wpmp_post_display12.wpmepack-post-display-'.$instance.' .ad_one_one .category a,
						.wpmegapack_vc.wpmp_post_display12.wpmepack-post-display-'.$instance.' .category a:hover,
						.wpmegapack_vc.wpmp_post_display12.wpmepack-post-display-'.$instance.' .share,
						.wpmegapack_vc.wpmp_post_display12.wpmepack-post-display-'.$instance.' .separator,
						.wpmegapack_vc.wpmp_post_display12.wpmepack-post-display-'.$instance.' .info-post i,
						.wpmegapack_vc.wpmp_post_display12.wpmepack-post-display-'.$instance.' .share a,
						.wpmegapack_vc.wpmp_post_display12.wpmepack-post-display-'.$instance.' .share-icon:hover,
						.wpmegapack_vc.wpmp_post_display12.wpmepack-post-display-'.$instance.' .title-info-post.ad_one_one .info-post a,
						.wpmegapack_vc.wpmp_post_display12.wpmepack-post-display-'.$instance.' .title-info-post.ad_one_one .info-post span,
						.wpmegapack_vc.wpmp_post_display12.wpmepack-post-display-'.$instance.' .wpmegapack_vc-item.ad_one_one.ad_last.big-post i,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination .current,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a:hover {
							color:'.$secondarycolor.';
						}
						.wpmegapack_vc.wpmp_post_display12.wpmepack-post-display-'.$instance.',
						.wpmegapack_vc.wpmp_post_display12.wpmepack-post-display-'.$instance.' .ad_one_half,
						.wpmegapack_vc.wpmp_post_display12.wpmepack-post-display-'.$instance.' .title-info-post.ad_one_one,
						.wpmp_post_display12.wpmepack-post-display-'.$instance.' .mini-post.small-post.ad_one_one,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a {
								background:'.$secondarycolor.';
						}						
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box:hover,
						.wpmegapack_vc.wpmp_post_display12.wpmepack-post-display-'.$instance.' .info-post a,
						.wpmegapack_vc.wpmp_post_display12.wpmepack-post-display-'.$instance.' .info-post span,
						.wpmegapack_vc.wpmp_post_display12.wpmepack-post-display-'.$instance.' .title-info-post.ad_one_one a,
						.wpmegapack_vc.wpmp_post_display12.wpmepack-post-display-'.$instance.' .title-info-post.ad_one_one .info-post a:hover,
						.wpmp_post_display12.wpmepack-post-display-'.$instance.' .mini-post .title-post a,
						.wpmegapack_vc.wpmp_post_display12.wpmepack-post-display-'.$instance.' .title-info-post.ad_one_one p {
								color:'.$thirdcolor.';
						}
						.wpmegapack_vc.wpmp_post_display12.wpmepack-post-display-'.$instance.' .ad_one_one .category a {
							background:'.$thirdcolor.';
						}
						.wpmp_post_display12.wpmepack-post-display-'.$instance.' .mini-post.small-post.ad_one_one {
							border-bottom: 1px solid '.$thirdcolor.';
							border-left: 1px solid '.$thirdcolor.';
							border-right: 1px solid '.$thirdcolor.';
						}
						@media only screen and (max-width : 800px) {
							.wpmp_post_display12.wpmepack-post-display-'.$instance.' .mini-post.small-post.ad_one_one {
								border-top: 1px solid '.$thirdcolor.';
							}
						}';
	
		} else {
			
			$return .= '.wpmegapack_vc.title-box-'.$instance.'.title-box {
							border-right: 5px solid '.$maincolor.';
						}
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box,
						.wpmegapack_vc.wpmp_post_display12_bis.wpmepack-post-display-'.$instance.' .category a:hover,
						.wpmegapack_vc.wpmp_post_display12_bis.wpmepack-post-display-'.$instance.' .share,
						.wpmegapack_vc.wpmp_post_display12_bis.wpmepack-post-display-'.$instance.' .share .info-comments,
						.wpmegapack_vc.wpmp_post_display12_bis.wpmepack-post-display-'.$instance.' .title-info-post.ad_one_one .info-post,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination .current,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a:hover,
						.wpmegapack_vc.wpmp_post_display12_bis.wpmepack-post-display-'.$instance.' .ad_one_one .category a:hover {
							background:'.$maincolor.';
						}
						.wpmegapack_vc.wpmp_post_display12_bis.wpmepack-post-display-'.$instance.' .ad_one_one .category a {
							border-left:5px solid '.$maincolor.';
						}
						.wpmegapack_vc.wpmp_post_display12_bis.wpmepack-post-display-'.$instance.' .mini-post.small-post .info-post i,
						.wpmegapack_vc.wpmp_post_display12_bis.wpmepack-post-display-'.$instance.' .title-info-post.ad_one_one a:hover,
						.wpmegapack_vc.wpmp_post_display12_bis.wpmepack-post-display-'.$instance.' .icon-calendar,
						.wpmp_post_display12_bis.wpmepack-post-display-'.$instance.' .mini-post .title-post a:hover,
						.wpmp_post_display12_bis.wpmepack-post-display-'.$instance.' .mini-post .info-post a:hover,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a {
							color:'.$maincolor.';
						}
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box,
						.wpmegapack_vc.wpmp_post_display12_bis.wpmepack-post-display-'.$instance.' .ad_one_one .category a,
						.wpmegapack_vc.wpmp_post_display12_bis.wpmepack-post-display-'.$instance.' .category a:hover,
						.wpmegapack_vc.wpmp_post_display12_bis.wpmepack-post-display-'.$instance.' .share,
						.wpmegapack_vc.wpmp_post_display12_bis.wpmepack-post-display-'.$instance.' .separator,
						.wpmegapack_vc.wpmp_post_display12_bis.wpmepack-post-display-'.$instance.' .info-post i,
						.wpmegapack_vc.wpmp_post_display12_bis.wpmepack-post-display-'.$instance.' .share a,
						.wpmegapack_vc.wpmp_post_display12_bis.wpmepack-post-display-'.$instance.' .share-icon:hover,
						.wpmegapack_vc.wpmp_post_display12_bis.wpmepack-post-display-'.$instance.' .title-info-post.ad_one_one .info-post a,
						.wpmegapack_vc.wpmp_post_display12_bis.wpmepack-post-display-'.$instance.' .title-info-post.ad_one_one .info-post span,
						.wpmegapack_vc.wpmp_post_display12_bis.wpmepack-post-display-'.$instance.' .wpmegapack_vc-item.ad_one_one.ad_last.big-post i,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination .current,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a:hover {
							color:'.$secondarycolor.';
						}
						.wpmegapack_vc.wpmp_post_display12_bis.wpmepack-post-display-'.$instance.',
						.wpmegapack_vc.wpmp_post_display12_bis.wpmepack-post-display-'.$instance.' .ad_one_half,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a {
								background:'.$secondarycolor.';
						}						
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box:hover,
						.wpmegapack_vc.wpmp_post_display12_bis.wpmepack-post-display-'.$instance.' .info-post a,
						.wpmegapack_vc.wpmp_post_display12_bis.wpmepack-post-display-'.$instance.' .info-post span,
						.wpmegapack_vc.wpmp_post_display12_bis.wpmepack-post-display-'.$instance.' .title-info-post.ad_one_one a,
						.wpmegapack_vc.wpmp_post_display12_bis.wpmepack-post-display-'.$instance.' .title-info-post.ad_one_one .info-post a:hover,
						.wpmp_post_display12_bis.wpmepack-post-display-'.$instance.' .mini-post .title-post a,
						.wpmegapack_vc.wpmp_post_display12_bis.wpmepack-post-display-'.$instance.' .title-info-post.ad_one_one p {
								color:'.$thirdcolor.';
						}
						.wpmegapack_vc.wpmp_post_display12_bis.wpmepack-post-display-'.$instance.' .ad_one_one .category a {
							background:'.$thirdcolor.';
						}
						.wpmp_post_display12_bis.wpmepack-post-display-'.$instance.' .mini-post.small-post.ad_one_one {
							border-bottom: 1px solid '.$thirdcolor.';
							border-left: 1px solid '.$thirdcolor.';
						}';
			
		}

	}
	
	if($type == 'type8') {
		
		if($layout == 'layout1') {
	
			$return .= '.wpmegapack_vc.title-box-'.$instance.'.title-box {
							border-right: 5px solid '.$maincolor.';
						}
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box,
						.wpmegapack_vc.wpmp_post_display13.wpmepack-post-display-'.$instance.' .category a:hover,
						.wpmegapack_vc.wpmp_post_display13.wpmepack-post-display-'.$instance.' .share,
						.wpmegapack_vc.wpmp_post_display13.wpmepack-post-display-'.$instance.' .share .info-comments,
						.wpmegapack_vc.wpmp_post_display13.wpmepack-post-display-'.$instance.' .title-info-post.ad_one_one .info-post,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination .current,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a:hover {
								background: '.$maincolor.';
						}
						.wpmegapack_vc.wpmp_post_display13.wpmepack-post-display-'.$instance.' .ad_one_one .category a {
							border-left:5px solid '.$maincolor.';
						}
						.wpmegapack_vc.wpmp_post_display13.wpmepack-post-display-'.$instance.' .title-info-post.ad_one_one a:hover,
						.wpmegapack_vc.wpmp_post_display13.wpmepack-post-display-'.$instance.' .icon-calendar,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a {
							color:'.$maincolor.';
						}
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box,
						.wpmegapack_vc.wpmp_post_display13.wpmepack-post-display-'.$instance.' .ad_one_one .category a,
						.wpmegapack_vc.wpmp_post_display13.wpmepack-post-display-'.$instance.' .category a:hover,
						.wpmegapack_vc.wpmp_post_display13.wpmepack-post-display-'.$instance.' .share,
						.wpmegapack_vc.wpmp_post_display13.wpmepack-post-display-'.$instance.' .separator,
						.wpmegapack_vc.wpmp_post_display13.wpmepack-post-display-'.$instance.' .info-post i,
						.wpmegapack_vc.wpmp_post_display13.wpmepack-post-display-'.$instance.' .share a,
						.wpmegapack_vc.wpmp_post_display13.wpmepack-post-display-'.$instance.' .share-icon:hover,
						.wpmegapack_vc.wpmp_post_display13.wpmepack-post-display-'.$instance.' .title-info-post.ad_one_one .info-post a,
						.wpmegapack_vc.wpmp_post_display13.wpmepack-post-display-'.$instance.' .title-info-post.ad_one_one .info-post span,
						.wpmegapack_vc.wpmp_post_display13.wpmepack-post-display-'.$instance.' .wpmegapack_vc-item.ad_one_one.ad_last.big-post i,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination .current,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a:hover {
							color:'.$secondarycolor.';
						}
						.wpmegapack_vc.wpmp_post_display13.wpmepack-post-display-'.$instance.' .ad_one_half,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a {
								background:'.$secondarycolor.';
						}						
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box:hover,
						.wpmegapack_vc.wpmp_post_display13.wpmepack-post-display-'.$instance.' .info-post a,
						.wpmegapack_vc.wpmp_post_display13.wpmepack-post-display-'.$instance.' .info-post span,
						.wpmegapack_vc.wpmp_post_display13.wpmepack-post-display-'.$instance.' .title-info-post.ad_one_one a,
						.wpmegapack_vc.wpmp_post_display13.wpmepack-post-display-'.$instance.' .title-info-post.ad_one_one .info-post a:hover {
							color:'.$thirdcolor.';
						}';
	
		} else {
			
			$return .= '.wpmegapack_vc.title-box-'.$instance.'.title-box {
							border-right: 5px solid '.$maincolor.';
						}
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box,
						.wpmegapack_vc.wpmp_post_display13_bis.wpmepack-post-display-'.$instance.' .category a:hover,
						.wpmegapack_vc.wpmp_post_display13_bis.wpmepack-post-display-'.$instance.' .share,
						.wpmegapack_vc.wpmp_post_display13_bis.wpmepack-post-display-'.$instance.' .share .info-comments,
						.wpmegapack_vc.wpmp_post_display13_bis.wpmepack-post-display-'.$instance.' .title-info-post.ad_one_one .info-post,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination .current,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a:hover {
								background: '.$maincolor.';
						}
						.wpmegapack_vc.wpmp_post_display13_bis.wpmepack-post-display-'.$instance.' .ad_one_one .category a {
							border-left:5px solid '.$maincolor.';
						}
						.wpmegapack_vc.wpmp_post_display13_bis.wpmepack-post-display-'.$instance.' .title-info-post.ad_one_one a:hover,
						.wpmegapack_vc.wpmp_post_display13_bis.wpmepack-post-display-'.$instance.' .icon-calendar,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a {
							color:'.$maincolor.';
						}
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box,
						.wpmegapack_vc.wpmp_post_display13_bis.wpmepack-post-display-'.$instance.' .ad_one_one .category a,
						.wpmegapack_vc.wpmp_post_display13_bis.wpmepack-post-display-'.$instance.' .category a:hover,
						.wpmegapack_vc.wpmp_post_display13_bis.wpmepack-post-display-'.$instance.' .share,
						.wpmegapack_vc.wpmp_post_display13_bis.wpmepack-post-display-'.$instance.' .separator,
						.wpmegapack_vc.wpmp_post_display13_bis.wpmepack-post-display-'.$instance.' .info-post i,
						.wpmegapack_vc.wpmp_post_display13_bis.wpmepack-post-display-'.$instance.' .share a,
						.wpmegapack_vc.wpmp_post_display13_bis.wpmepack-post-display-'.$instance.' .share-icon:hover,
						.wpmegapack_vc.wpmp_post_display13_bis.wpmepack-post-display-'.$instance.' .title-info-post.ad_one_one .info-post a,
						.wpmegapack_vc.wpmp_post_display13_bis.wpmepack-post-display-'.$instance.' .title-info-post.ad_one_one .info-post span,
						.wpmegapack_vc.wpmp_post_display13_bis.wpmepack-post-display-'.$instance.' .wpmegapack_vc-item.ad_one_one.ad_last.big-post i,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination .current,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a:hover {
							color:'.$secondarycolor.';
						}
						.wpmegapack_vc.wpmp_post_display13_bis.wpmepack-post-display-'.$instance.' .ad_one_half,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a {
								background:'.$secondarycolor.';
						}						
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box:hover,
						.wpmegapack_vc.wpmp_post_display13_bis.wpmepack-post-display-'.$instance.' .info-post a,
						.wpmegapack_vc.wpmp_post_display13_bis.wpmepack-post-display-'.$instance.' .info-post span,
						.wpmegapack_vc.wpmp_post_display13_bis.wpmepack-post-display-'.$instance.' .title-info-post.ad_one_one a,
						.wpmegapack_vc.wpmp_post_display13_bis.wpmepack-post-display-'.$instance.' .title-info-post.ad_one_one .info-post a:hover,
						.wpmegapack_vc.wpmp_post_display13_bis.wpmepack-post-display-'.$instance.' .title-info-post.ad_one_one p {
							color:'.$thirdcolor.';
						}
						.wpmegapack_vc.wpmp_post_display13_bis.wpmepack-post-display-'.$instance.' .ad_one_one .category a {
							background:'.$thirdcolor.';
						}
						';
			
		}

	}
	
	if($type == 'type9') {
		
		if($layout == 'layout1') {
	
			$return .= '.wpmegapack_vc.title-box-'.$instance.'.title-box {
							border-right: 5px solid '.$maincolor.';
						}
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box,
						.wpmegapack_vc.wpmp_post_display14.wpmepack-post-display-'.$instance.' .category a:hover,
						.wpmegapack_vc.wpmp_post_display14.wpmepack-post-display-'.$instance.' .share,
						.wpmegapack_vc.wpmp_post_display14.wpmepack-post-display-'.$instance.' .box-text.ad_one_half .info-post,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination .current,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a:hover {
							background:'.$maincolor.';
						}
						.wpmegapack_vc.wpmp_post_display14.wpmepack-post-display-'.$instance.' .box-text.ad_one_half h3 a:hover,
						.wpmegapack_vc.wpmp_post_display14.wpmepack-post-display-'.$instance.' .data:hover,
						.wpmegapack_vc.wpmp_post_display14.wpmepack-post-display-'.$instance.' .box-text.ad_one_half .icon-calendar,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a {
							color:'.$maincolor.';
						}
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box,
						.wpmegapack_vc.wpmp_post_display14.wpmepack-post-display-'.$instance.' .ad_one_half .category a,
						.wpmegapack_vc.wpmp_post_display14.wpmepack-post-display-'.$instance.' .category a:hover,
						.wpmegapack_vc.wpmp_post_display14.wpmepack-post-display-'.$instance.' .box-text.ad_one_half .info-post a,
						.wpmegapack_vc.wpmp_post_display14.wpmepack-post-display-'.$instance.' .info-post .share a,
						.wpmegapack_vc.wpmp_post_display14.wpmepack-post-display-'.$instance.' .info-post .share .share-icon:hover,
						.wpmegapack_vc.wpmp_post_display14.wpmepack-post-display-'.$instance.' .box-text.ad_one_half i,
						.wpmegapack_vc.wpmp_post_display14.wpmepack-post-display-'.$instance.' .box-text.ad_one_half .separator,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination .current,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a:hover {
							color:'.$secondarycolor.';
						}
						.wpmegapack_vc.wpmp_post_display14.wpmepack-post-display-'.$instance.' .box-text.ad_one_half,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a {
							background:'.$secondarycolor.';
						}						
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box:hover,
						.wpmegapack_vc.wpmp_post_display14.wpmepack-post-display-'.$instance.' .box-text.ad_one_half a:hover,
						.wpmegapack_vc.wpmp_post_display14.wpmepack-post-display-'.$instance.' .box-text.ad_one_half h3 a {
							color:'.$thirdcolor.';
						}';
	
		} elseif($layout == 'layout2') {
			
			$return .= '.wpmegapack_vc.title-box-'.$instance.'.title-box {
							border-right: 5px solid '.$maincolor.';
						}
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box,
						.wpmegapack_vc.wpmp_post_display14_bis.wpmepack-post-display-'.$instance.' .category a:hover,
						.wpmegapack_vc.wpmp_post_display14_bis.wpmepack-post-display-'.$instance.' .share,
						.wpmegapack_vc.wpmp_post_display14_bis.wpmepack-post-display-'.$instance.' .box-text.ad_one_half .info-post,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination .current,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a:hover {
							background:'.$maincolor.';
						}
						.wpmegapack_vc.wpmp_post_display14_bis.wpmepack-post-display-'.$instance.' .box-text.ad_one_half h3 a:hover,
						.wpmegapack_vc.wpmp_post_display14_bis.wpmepack-post-display-'.$instance.' .data:hover,
						.wpmegapack_vc.wpmp_post_display14_bis.wpmepack-post-display-'.$instance.' .box-text.ad_one_half .icon-calendar,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a {
							color:'.$maincolor.';
						}
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box,
						.wpmegapack_vc.wpmp_post_display14_bis.wpmepack-post-display-'.$instance.' .ad_one_half .category a,
						.wpmegapack_vc.wpmp_post_display14_bis.wpmepack-post-display-'.$instance.' .category a:hover,
						.wpmegapack_vc.wpmp_post_display14_bis.wpmepack-post-display-'.$instance.' .box-text.ad_one_half .info-post a,
						.wpmegapack_vc.wpmp_post_display14_bis.wpmepack-post-display-'.$instance.' .info-post .share a,
						.wpmegapack_vc.wpmp_post_display14_bis.wpmepack-post-display-'.$instance.' .info-post .share .share-icon:hover,
						.wpmegapack_vc.wpmp_post_display14_bis.wpmepack-post-display-'.$instance.' .box-text.ad_one_half i,
						.wpmegapack_vc.wpmp_post_display14_bis.wpmepack-post-display-'.$instance.' .box-text.ad_one_half .separator,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination .current,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a:hover {
							color:'.$secondarycolor.';
						}
						.wpmegapack_vc.wpmp_post_display14_bis.wpmepack-post-display-'.$instance.' .box-text.ad_one_half,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a {
							background:'.$secondarycolor.';
						}						
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box:hover,
						.wpmegapack_vc.wpmp_post_display14_bis.wpmepack-post-display-'.$instance.' .box-text.ad_one_half a:hover,
						.wpmegapack_vc.wpmp_post_display14_bis.wpmepack-post-display-'.$instance.' .box-text.ad_one_half h3 a {
							color:'.$thirdcolor.';
						}';
			
		} else {
			
			$return .= '.wpmegapack_vc.title-box-'.$instance.'.title-box {
							border-right: 5px solid '.$maincolor.';
						}
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box,
						.wpmegapack_vc.wpmp_post_display14_ter.wpmepack-post-display-'.$instance.' .category a:hover,
						.wpmegapack_vc.wpmp_post_display14_ter.wpmepack-post-display-'.$instance.' .share,
						.wpmegapack_vc.wpmp_post_display14_ter.wpmepack-post-display-'.$instance.' .box-text.ad_one_half .info-post,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination .current,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a:hover {
							background:'.$maincolor.';
						}
						.wpmegapack_vc.wpmp_post_display14_ter.wpmepack-post-display-'.$instance.' .box-text.ad_one_half h3 a:hover,
						.wpmegapack_vc.wpmp_post_display14_ter.wpmepack-post-display-'.$instance.' .data:hover,
						.wpmegapack_vc.wpmp_post_display14_ter.wpmepack-post-display-'.$instance.' .box-text.ad_one_half .icon-calendar,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a {
							color:'.$maincolor.';
						}
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box,
						.wpmegapack_vc.wpmp_post_display14_ter.wpmepack-post-display-'.$instance.' .ad_one_half .category a,
						.wpmegapack_vc.wpmp_post_display14_ter.wpmepack-post-display-'.$instance.' .category a:hover,
						.wpmegapack_vc.wpmp_post_display14_ter.wpmepack-post-display-'.$instance.' .box-text.ad_one_half .info-post a,
						.wpmegapack_vc.wpmp_post_display14_ter.wpmepack-post-display-'.$instance.' .info-post .share a,
						.wpmegapack_vc.wpmp_post_display14_ter.wpmepack-post-display-'.$instance.' .info-post .share .share-icon:hover,
						.wpmegapack_vc.wpmp_post_display14_ter.wpmepack-post-display-'.$instance.' .box-text.ad_one_half i,
						.wpmegapack_vc.wpmp_post_display14_ter.wpmepack-post-display-'.$instance.' .box-text.ad_one_half .separator,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination .current,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a:hover {
							color:'.$secondarycolor.';
						}
						.wpmegapack_vc.wpmp_post_display14_ter.wpmepack-post-display-'.$instance.' .box-text.ad_one_half,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a {
							background:'.$secondarycolor.';
						}						
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box:hover,
						.wpmegapack_vc.wpmp_post_display14_ter.wpmepack-post-display-'.$instance.' .box-text.ad_one_half a:hover,
						.wpmegapack_vc.wpmp_post_display14_ter.wpmepack-post-display-'.$instance.' .box-text.ad_one_half h3 a,
						.wpmegapack_vc.wpmp_post_display14_ter.wpmepack-post-display-'.$instance.' .data {
							color:'.$thirdcolor.';
						}';			
			
		}

	}							

	if($type == 'type10') {
		
		if($layout == 'layout1') {
	
			$return .= '.wpmegapack_vc.title-box-'.$instance.'.title-box {
							border-right: 5px solid '.$maincolor.';
						}
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box,
						.wpmegapack_vc.wpmp_post_display15.wpmepack-post-display-'.$instance.' .category a:hover,
						.wpmegapack_vc.wpmp_post_display15.wpmepack-post-display-'.$instance.' .share,
						.wpmegapack_vc.wpmp_post_display15.wpmepack-post-display-'.$instance.' .box-text.ad_one_one .info-post,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination .current,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a:hover {
								background:'.$maincolor.';
						}
						.wpmegapack_vc.wpmp_post_display15.wpmepack-post-display-'.$instance.' .box-text.ad_one_one h3 a:hover,
						.wpmegapack_vc.wpmp_post_display15.wpmepack-post-display-'.$instance.' .data:hover,
						.wpmegapack_vc.wpmp_post_display15.wpmepack-post-display-'.$instance.' .box-text.ad_one_one .icon-calendar,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a {
							color:'.$maincolor.';
						}
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box,
						.wpmegapack_vc.wpmp_post_display15.wpmepack-post-display-'.$instance.' .ad_one_one .category a,
						.wpmegapack_vc.wpmp_post_display15.wpmepack-post-display-'.$instance.' .category a:hover,
						.wpmegapack_vc.wpmp_post_display15.wpmepack-post-display-'.$instance.' .box-text.ad_one_one .info-post a,
						.wpmegapack_vc.wpmp_post_display15.wpmepack-post-display-'.$instance.' .info-post .share a,
						.wpmegapack_vc.wpmp_post_display15.wpmepack-post-display-'.$instance.' .info-post .share .share-icon:hover,
						.wpmegapack_vc.wpmp_post_display15.wpmepack-post-display-'.$instance.' .box-text.ad_one_one i,
						.wpmegapack_vc.wpmp_post_display15.wpmepack-post-display-'.$instance.' .box-text.ad_one_one .separator,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination .current,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a:hover {
								color:'.$secondarycolor.';
						}
						.wpmegapack_vc.wpmp_post_display15.wpmepack-post-display-'.$instance.' .box-text.ad_one_one,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a {
							background:'.$secondarycolor.';	
						}						
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box:hover,
						.wpmegapack_vc.wpmp_post_display15.wpmepack-post-display-'.$instance.' .box-text.ad_one_one a:hover,
						.wpmegapack_vc.wpmp_post_display15.wpmepack-post-display-'.$instance.' .box-text.ad_one_one h3 a,
						.wpmegapack_vc.wpmp_post_display15.wpmepack-post-display-'.$instance.' .data {
								color:'.$thirdcolor.';
						}						
						
						
						';
	
		} else {
			
			$return .= '.wpmegapack_vc.title-box-'.$instance.'.title-box {
							border-right: 5px solid '.$maincolor.';
						}
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box,
						.wpmegapack_vc.wpmp_post_display15_bis.wpmepack-post-display-'.$instance.' .category a:hover,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination .current,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a:hover {
								background:'.$maincolor.';
						}
						.wpmegapack_vc.wpmp_post_display15_bis.wpmepack-post-display-'.$instance.' .box-text.ad_one_one h3 a:hover,
						.wpmegapack_vc.wpmp_post_display15_bis.wpmepack-post-display-'.$instance.' .data:hover,
						.wpmegapack_vc.wpmp_post_display15_bis.wpmepack-post-display-'.$instance.' .box-text.ad_one_one i,
						.wpmegapack_vc.wpmp_post_display15_bis.wpmepack-post-display-'.$instance.' .box-text.ad_one_one .icon-calendar,
						.wpmegapack_vc.wpmp_post_display15_bis.wpmepack-post-display-'.$instance.' .box-text.ad_one_one .info-post a:hover,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a {
							color:'.$maincolor.';
						}
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box,
						.wpmegapack_vc.wpmp_post_display15_bis.wpmepack-post-display-'.$instance.' .ad_one_one .category a,
						.wpmegapack_vc.wpmp_post_display15_bis.wpmepack-post-display-'.$instance.' .category a:hover,
						.wpmegapack_vc.wpmp_post_display15_bis.wpmepack-post-display-'.$instance.' .info-post .share a,
						.wpmegapack_vc.wpmp_post_display15_bis.wpmepack-post-display-'.$instance.' .box-text.ad_one_one .separator,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination .current,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a:hover {
								color:'.$secondarycolor.';
						}
						.wpmegapack_vc.wpmp_post_display15_bis.wpmepack-post-display-'.$instance.' .box-text.ad_one_one,
						.wpmepack-post-display-'.$instance.' .wpmp-pagination a,
						.wpmegapack_vc.wpmp_post_display15_bis.wpmepack-post-display-'.$instance.' .share  {
							background:'.$secondarycolor.';
						}						
						.wpmegapack_vc.title-box-'.$instance.'.title-box .name-box:hover,
						.wpmegapack_vc.wpmp_post_display15_bis.wpmepack-post-display-'.$instance.' .box-text.ad_one_one .info-post a,						
						.wpmegapack_vc.wpmp_post_display15_bis.wpmepack-post-display-'.$instance.' .data,
						.wpmegapack_vc.wpmp_post_display15_bis.wpmepack-post-display-'.$instance.' .box-text.ad_one_one h3 a {
							color:'.$thirdcolor.';
						}';
			
		}

	}
	
	$return .= '</style>';
	
	return $return;	
}

function wpmp_vc_post_display_custom_js($instance,$lazy_load,$item_show,$item_show_900,$item_show_600,$autoplay,$navigation) {
	
		if($item_show == 'default') { $item_show = '4'; }
		if($item_show_900 == 'default') { $item_show_900 = '3'; }
		if($item_show_600 == 'default') { $item_show_600 = '1'; }	
	
		$return = '<script type="text/javascript">
					jQuery(document).ready(function($){
					$(\'.wpmepack-post-display-'.$instance.'\').owlCarousel({
						loop:true,
						margin:10,
						nav:'.$navigation.',
						lazyLoad: '.$lazy_load.',
						dots:false,';
		if(!empty($autoplay) || $autoplay != '') { 
				$return .= 'autoplay: true,
				autoplayTimeout: '.$autoplay.',';
		}
		$return .= 'navText: [\'<i class="icon-arrow-left2"></i>\',\'<i class="icon-arrow-right2"></i>\'],
						responsive:{
							0:{
								items:'.$item_show_600.'
							},
							600:{
								items:'.$item_show_600.'
							},
							700:{
								items:'.$item_show_600.'
							},
							800:{
								items:'.$item_show_900.'
							},
							900:{
								items:'.$item_show_900.'
							},
							1000:{
								items:'.$item_show_900.'
							},
							1200:{
								items:'.$item_show.'
							}
							
						}
					});
				});		
				</script>';	
	
	
	
	
	return $return;
}