/*
Plugin Name: Wordpress Mega Pack for News, Blog and Magazine - All you need
Author: Ad-theme.com
*/

(function() {	
	tinymce.PluginManager.add('post_display', function( editor, url ) {	
		var sh_tag = 'post_display';
	
		function getAttr(s, n) {
			n = new RegExp(n + '=\"([^\"]+)\"', 'g').exec(s);
			return n ?  window.decodeURIComponent(n[1]) : '';
		};	

		function html( cls, data) {
			var placeholder = getAttr(data,'category');
			var id = getAttr(data,'id');
			data = window.encodeURIComponent( data );
			//return '<div class="mceTemp ' + cls + '" style="background:red;display:inline-block;padding:10px;"><div class="wpview-body mce-btn" contenteditable="false"><img src="http://plugins.ad-theme.com/varie/wp-content/plugins/fastgallery/img/magnifier.png" data-mce-resize="false" data-mce-placeholder="1" style="cursor:move"><img src="http://plugins.ad-theme.com/varie/wp-content/plugins/fastgallery/img/plus.png" data-mce-resize="false" data-mce-placeholder="1" class="' + cls + '" ' + 'data-sh-attr="' + data + '">' + placeholder + '</div></div>';
			//return '<div class="mceTemp ' + cls + '" data-sh-attr="' + data + '" style="background:red;display:block;padding:10px;margin:50px;" contenteditable="false"><div class="wpview-body mce-btn" contenteditable="false"><img src="http://plugins.ad-theme.com/varie/wp-content/plugins/fastgallery/img/magnifier.png" data-mce-resize="false" data-mce-placeholder="1" style="cursor:move">' + placeholder + '</div></div>';
			//return '<img class="mceItem ' + cls + '" src="http://plugins.ad-theme.com/varie/wp-content/plugins/fastgallery/img/magnifier.png" data-sh-attr="' + data + '" data-mce-resize="false" data-mce-placeholder="1" />';  
			return '<div class="mceTemp ' + cls + '" data-sh-attr="' + data + '" style="background:red;display:block;padding:10px;margin:50px;cursor:move" contenteditable="false"><div class="wpview-body mce-btn" contenteditable="false">' + placeholder + '</div></div>';
		}

		function replaceShortcodes( content, data ) {
			data = window.encodeURIComponent( data );
			//var id = 1459678443317;
			return content.replace(  /\[post_display([^\]]*)\]/g, function( all,attr) {

			//var shortcodes_find = /\[post_display id="1459678443317"([^\]]*)\]/gi;
			//alert(shortcodes_find);	

			//return content.replace( /\[post_display([^\]]*)\]/g, function( all,attr) {
			//return content.replace( shortcodes_find, function( all,attr) {	
			//alert('prova');
				return html( 'wp-post_display', attr);
			});
		}

		function restoreShortcodes( content ) {
			//return content.replace( /<div class="mceTemp wp-post_display" style="background:red;display:inline-block;padding:10px;">(.*)<\/div><\/div>/g, function( match, image ) {	
			//alert('prova');
			//return content.replace( /(?:<p(?: [^>]+)?>)*(<div class="mceTemp wp-post_display" [^>]+>)*(<div class="wpview-body mce-btn" contenteditable="false"><img [^>]+>)[^>]+<(\/div><\/div>)(?:<\/p>)*/g, function( match, div ) {	
			return content.replace( /(?:<p(?: [^>]+)?>)*(<div class="mceTemp wp-post_display" [^>]+>)*(<div class="wpview-body mce-btn" contenteditable="false">)[^>]+<(\/div><\/div>)(?:<\/p>)*/g, function( match, div ) {	
			//return content.replace( /(?:)(<div class="mceTemp wp-post_display" [^>]+>).*(?:<\/p>)/g, function( match, div ) {	
			//return content.replace( /(?:<p(?: [^>]+)?>)*(<img class="mceItem [^>]+>)(?:<\/p>)*/g, function( match, image ) {
			//alert('prova');	
				var data = getAttr( div, 'data-sh-attr' );	
				//alert(data);
				//alert(data);
				if ( data ) {
					return '<p>[' + sh_tag + data + ']</p>&nbsp;';
				}
				return match;
			});
			
		}
		
		editor.on('BeforeSetcontent', function(event){ 
			event.content = replaceShortcodes( event.content );
		});

		editor.on('GetContent', function(event){
			event.content = restoreShortcodes(event.content);
		});
		
	});
})();

(function() {	
	tinymce.PluginManager.add('wpmp_post_display', function( editor, url ) {	
		var sh_tag = 'wpmp_post_display';
	
		function getAttr(s, n) {
			n = new RegExp(n + '=\"([^\"]+)\"', 'g').exec(s);
			return n ?  window.decodeURIComponent(n[1]) : '';
		};	

		function html( cls, data) {
			var shortcode_name = getAttr(data,'name');
			data = window.encodeURIComponent( data );
			return '<div class="mceTemp ' + cls + '" data-sh-attr="' + data + '" style="background:#2d8ac7;display:block;padding:10px;margin:50px;cursor:move;color:#FFF;" contenteditable="false"><div class="wpview-body mce-btn" contenteditable="false">' + shortcode_name + '</div></div>';
		}

		function replaceShortcodes( content, data ) {
			data = window.encodeURIComponent( data );
			return content.replace(  /\[wpmp_post_display([^\]]*)\]/g, function( all,attr) {
			return html( 'wp-wpmp_post_display', attr);
			});
		}

		function restoreShortcodes( content ) {
				return content.replace( /(?:<p(?: [^>]+)?>)*(<div class="mceTemp wp-wpmp_post_display" [^>]+>)*(<div class="wpview-body mce-btn" contenteditable="false">)[^>]+<(\/div><\/div>)(?:<\/p>)*/g, function( match, div ) {	
				var data = getAttr( div, 'data-sh-attr' );	
				if ( data ) {
					return '<p>[' + sh_tag + data + ']</p>&nbsp;';
				}
				return match;
			});
			
		}
		
		editor.on('BeforeSetcontent', function(event){ 
			event.content = replaceShortcodes( event.content );
		});

		editor.on('GetContent', function(event){
			event.content = restoreShortcodes(event.content);
		});
		
	});
})();




(function() {	
	tinymce.PluginManager.add('wpmp_header_display', function( editor, url ) {	
		var sh_tag = 'wpmp_header_display';
	
		function getAttr(s, n) {
			n = new RegExp(n + '=\"([^\"]+)\"', 'g').exec(s);
			return n ?  window.decodeURIComponent(n[1]) : '';
		};	

		function html( cls, data) {
			var shortcode_name = getAttr(data,'name');
			data = window.encodeURIComponent( data );
			return '<div class="mceTemp ' + cls + '" data-sh-attr="' + data + '" style="background:#2d8ac7;display:block;padding:10px;margin:50px;cursor:move;color:#FFF;" contenteditable="false"><div class="wpview-body mce-btn" contenteditable="false">' + shortcode_name + '</div></div>';
		}

		function replaceShortcodes( content, data ) {
			data = window.encodeURIComponent( data );
			return content.replace(  /\[wpmp_header_display([^\]]*)\]/g, function( all,attr) {
			return html( 'wp-wpmp_header_display', attr);
			});
		}

		function restoreShortcodes( content ) {
				return content.replace( /(?:<p(?: [^>]+)?>)*(<div class="mceTemp wp-wpmp_header_display" [^>]+>)*(<div class="wpview-body mce-btn" contenteditable="false">)[^>]+<(\/div><\/div>)(?:<\/p>)*/g, function( match, div ) {	
				var data = getAttr( div, 'data-sh-attr' );	
				if ( data ) {
					return '<p>[' + sh_tag + data + ']</p>&nbsp;';
				}
				return match;
			});
			
		}
		
		editor.on('BeforeSetcontent', function(event){ 
			event.content = replaceShortcodes( event.content );
		});

		editor.on('GetContent', function(event){
			event.content = restoreShortcodes(event.content);
		});
		
	});
})();