<?php
/*
Plugin Name: Wordpress Mega Pack for News, Blog and Magazine - All you need
Author: Ad-theme.com
*/

/*********************************************/
/************* EDITOR SHORTCODES *************/
/*********************************************/

require('editor/shortcodes-editor.php');

// BACKEND ASSETS JS
add_action('admin_enqueue_scripts', 'wpmegapack_vc_shortcodes_backend_scripts');

function wpmegapack_vc_shortcodes_backend_scripts() {
	
	wp_enqueue_script('jquery');
	wp_enqueue_style( 'wp-color-picker' );
    wp_enqueue_script( 'backend', WPMP_VC_URL . 'inc/shortcodes/editor/assets/js/backend.js', array('jquery'), false, true );	
    wp_enqueue_script( 'wpmegapack_vc-color-picker-script', WPMP_VC_URL . 'inc/shortcodes/editor/assets/js/colorpicker.js', array( 'wp-color-picker' ), false, true ); 
	
}

// BACKEND ASSETS CSS
add_action( 'admin_enqueue_scripts', 'wpmegapack_vc_backend_styles' );

function wpmegapack_vc_backend_styles() {
	
	wp_register_style( 'wpmegapack_vc-backend-style',  WPMP_VC_URL . 'inc/shortcodes/editor/assets/css/backend.css' );
    wp_enqueue_style( 'wpmegapack_vc-backend-style' );
	
}

/* ADDONS VISUAL COMPOSER */
require('class/header_display.php');
require('class/post_display.php');
require('class/news_ticker.php');
require('functions/header-display.php');
require('functions/post-display.php');
require('functions/news-ticker.php');

?>